/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/* ###--------------------------------------------------------------### */
/* file		: vh_globals.c						*/
/* date		: Nov 15 1995						*/
/* version	: v2.01							*/
/* author	: Pirouz BARAGAN SABET					*/
/* description	: VHDL compiler and simulation tool.			*/
/* ###--------------------------------------------------------------### */

#include <stdio.h>
#include <string.h>
#include MUT_H
#include MLO_H
#include LOG_H
#include BEH_H
#include "vh_ltype.h"

struct lofig  *VHS_LOFPNT  = NULL;
struct lkdfig *VHL_HEDLKF  = NULL;

struct ptype  *VHX_EXECUTE [256] ;
unsigned char  VHX_LEVEL   = 0   ;

struct chain  *VHX_SIGUPD  = NULL;
struct chain  *VHX_BUSUPD  = NULL;
struct chain  *VHX_BUXUPD  = NULL;
struct chain  *VHX_REGUPD  = NULL;
struct chain  *VHX_AUXUPD  = NULL;

unsigned int   VHX_BUSERR  = 0   ;
unsigned int   VHX_BUXERR  = 0   ;
unsigned int   VHX_REGERR  = 0   ;
unsigned int   VHX_MSGERR  = 0   ;

struct lkdmdl *VHL_MODELS  = NULL;
