/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/* ###--------------------------------------------------------------### */
/* file		: vh_lspec.h						*/
/* date		: Jun 10 1996						*/
/* version	: v2.01							*/
/* authors	: VUONG H.N., L.A. TABUSSE, P. BAZARGAN			*/
/* content	: contains defines, external variables and funtions used*/
/*		  by the linker						*/
/* ###--------------------------------------------------------------### */

#define VHL_UKNDFN      8
#define VHL_DECDFN      4
#define VHL_REDDFN      2
#define VHL_WRTDFN      1

#define VHL_MODDFN      0
#define VHL_SIGDFN      1
#define VHL_CNBDFN      2
#define VHL_RNBDFN      3
#define VHL_WNBDFN      4
#define VHL_PNTDFN      7

#define VHL_LVLDFN      1

extern struct lkdfig       *VHL_HEDLKF   ;
extern struct ptype        *VHX_EXECUTE  [256];
extern struct lkdmdl       *VHL_MODELS   ;

struct lkdfig              *vhl_addlkdfig    ();
struct lkdins              *vhl_addlkdins    ();
void                     ( *vhl_iscmodel ()) ();
