/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
/* 10/14/97 Cone Netlist Structure functions: cnsh.h                          */

void						 cnsenv();
void						 viewcnsptype();
void						 addcnslocon();
locon_list				*getcnslocon();
void						 viewcnslocon();
void						 cone2locon();
void						 addcnslotrs();
lotrs_list				*getcnslotrs();
void						 viewcnslotrs();
void						 cone2lotrs();
void						*initlinkmem();
void						*freelink();
void						*freelklist();
link_list				*addlink();
link_list				*dellink();
link_list				*appendlink();
void						 viewlink();
short						 lotrsnum();
void						*initbranchmem();
void						*freebranch();
void						*freebrlist();
branch_list				*addbranch();
void						 addconebranch();
branch_list				*delbranch();
void						 delconebranch();
branch_list				*appendbranch();
void						 appendconebranch();
void						 viewbranch();
chain_list				*parabrs();
short						 testparabrs();
short						 brlotrsnum();
void						*initedgemem();
void						*freeedge();
void						*freeeelist();
edge_list				*addedge();
edge_list				*deledge();
edge_list				*appendedge();
void						 viewedge();
int						 checkincone();
void						 addincone();
void						 delincone();
void						 appendincone();
void						 viewincone();
void						 addoutcone();
void						 deloutcone();
void						 appendoutcone();
void						 viewoutcone();
void						*initconemem();
void						*freecone();
void						*freecelist();
cone_list				*addcone();
cone_list				*delcone();
cone_list				*appendcone();
cone_list				*getcone();
void						 viewcone();
void						 coneparabrs();
short						 cnbrlotrsnum();
void						 locon2cone();
void						 lotrs2cone();
void						*initcellmem();
void						*freecell();
void						*freecllist();
cell_list				*addcell();
cell_list				*delcell();
cell_list				*appendcell();
void						 viewcell();
void						*initcnsfigmem();
void						*freecnsfig();
void						*freecglist();
cnsfig_list				*addcnsfig();
cnsfig_list				*delcnsfig();
cnsfig_list				*appendcnsfig();
void						 viewcnsfig();
void						 updatecapa();
int						 cnsfigyyparse();
cnsfig_list				*loadcnsfig();
cnsfig_list				*getcnsfig();
short						 treatbr();
void						 savecnsfig();
void						 cnsstats();


