/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
/* 10/26/95 Cone Netlist Structure variables: cnsv.h                          */

/* CNS environment variables */

extern char				*CNS_VERSION;
extern int				 CNS_TRACE_MODE;
extern int				 CNS_DEBUG_MODE;
extern int				 CNS_VIEW_LEVEL;
extern char				*CNS_TECHNO;
extern int				 CNS_POWERNUM;
extern int				 CNS_MAXLINKNUM;


/* CNS structure variables */

extern cnsfig_list		*CNS_HEADCNSFIG;


/* CNS connector names */

extern char				*CNS_VDDNAME;
extern char				*CNS_GNDNAME;
extern char				*CNS_VSSNAME;
extern char				*CNS_GRIDNAME;
extern char				*CNS_SOURCENAME;
extern char				*CNS_DRAINNAME;


/* CNS structure debug variables */

extern int				 CNS_DEBUG_LEVEL;
extern int				 CNS_LC_VIEW;
extern int				 CNS_LT_VIEW;
extern int				 CNS_CF_VIEW;
extern int				 CNS_CE_VIEW;
extern int				 CNS_IC_VIEW;
extern int				 CNS_OC_VIEW;
extern int				 CNS_BH_VIEW;
extern int				 CNS_LK_VIEW;


