/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef YYSTYPE
#define YYSTYPE int
#endif
#define	DRUC_REGLES	258
#define	DRUC_FIN	259
#define	DRUC_REGLE	260
#define	DRUC_DEFINE	261
#define	DRUC_UNDEFINE	262
#define	DRUC_CARACTERISE	263
#define	DRUC_RELATION	264
#define	DRUC_LAYER	265
#define	DRUC_NOM	266
#define	DRUC_UNION	267
#define	DRUC_EXCLUSION	268
#define	DRUC_RESIZE	269
#define	DRUC_ENVELOPPE	270
#define	DRUC_MARGE	271
#define	DRUC_CROIX	272
#define	DRUC_INTERSECT	273
#define	DRUC_EXTENSION	274
#define	DRUC_INCLUSION	275
#define	DRUC_DISTANCE	276
#define	DRUC_SURFACE_INTER	277
#define	DRUC_LONG_INTER	278
#define	DRUC_LARGE_INTER	279
#define	DRUC_PENET_INTER	280
#define	DRUC_PARAL_INTER	281
#define	DRUC_PERPEN_INTER	282
#define	DRUC_FRONTALE	283
#define	DRUC_LATERALE_MIN	284
#define	DRUC_LATERALE_MAX	285
#define	DRUC_LARGEUR_MIN	286
#define	DRUC_LARGEUR_MAX	287
#define	DRUC_LONGUEUR_MIN	288
#define	DRUC_LONGUEUR_MAX	289
#define	DRUC_SUP	290
#define	DRUC_INF	291
#define	DRUC_AXIALE	292
#define	DRUC_GEODESIQUE	293
#define	DRUC_SURFACE	294
#define	DRUC_LONGUEUR	295
#define	DRUC_LARGEUR	296
#define	DRUC_MIN	297
#define	DRUC_MAX	298
#define	DRUC_INFEQ	299
#define	DRUC_SUPEQ	300
#define	DRUC_DIFF	301
#define	DRUC_NOTCH	302
#define	DRUC_DESTINATION	303
#define	DRUC_ENTIER	304
#define	DRUC_FLOAT	305
#define	DRUC_NEG_FLOAT	306


extern YYSTYPE yylval;
