/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */



/* $Id: UtProto.c,v 1.10 1997/10/30 13:28:03 fitpath Exp fitpath $ */
/*                                                                          */
/*          Alliance CAD System 3.2b                                         */
/*             FpGen Package 1.10                                           */
/*                                                                          */
/*  Copyright(c) 93-97, MASI, CAO-VLSI Team                                 */
/*                                                                          */
/*  Author      :          Jean-Paul CHAPUT                                 */
/*  E-mail      :      cao-vlsi@masi.ibp.fr                                 */
/* ************************************************************************ */
/*  Module      :      "UtProto.c"                                          */


/* ******************************* Includes ******************************* */


#include  "GenericGN.h"


/* ************************** Internal constants ************************** */


/* ********************* Internal Types And Structures ******************** */


/* Structure holding together all internal module global variables.
 */
static struct {
  long  ModuleId;          /* "UtProto.c" module identifier. */
  } GV;


/* ************************** Internal Variables ************************** */


/* ************************* Interface Functions ************************** */


/* ************************** Internal Functions ************************** */


/* ************************* Functions Definitions ************************ */


/*  Function  :  'UtPro_Init()'.                                            */
/* ------------------------------------------------------------------------ */
/*  Perform all initialisations neededs to use the functions of the utilies
 *  module :
 *       I - Load internal errors table.
 *      II - Load internal warnings table.
 */

extern void  UtPro_Init()
{
  static long  FirstCall    = TRUE;

  if (FirstCall == FALSE) return;
    FirstCall  = FALSE;

  /* Attribution of a module identifier. */
  GV.ModuleId = GfpUT_GetModuleId( "UtProto", F_GfpUT_ModuleAdd );
}


