/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
#define MAXLIG  132 * 30
#define NB_ERR  36

#define DICO_DAX        "************* nodes *************"
#define FIN_DICO_DAX    "************* capas / gnd *************"
#define DICO_VTI        "* and synonyms"
#define FIN_DICO_VTI    "*"
#define DICO_ELDO       ".connect"

#define DEB_SUBCKT      ".subckt"
#define FIN_SUBCKT      ".ends"

#define HASH_MAX 100
#define LINESIZE 120

typedef struct spi_triplet {
    struct spi_triplet *NEXT;
    int                 INDEX;
    char               *NAME;
} spi_triplet_list;

extern FILE    *infile;
extern int      flag_dico;
extern int      MAXSIGINDEX;
extern int      spi_index;
extern int      spi_main_gdt;
extern char    *tab_err[];
extern char     modn[];
extern char     modp[];

extern spi_triplet_list *ptdic;
extern spi_triplet_list *ptmaindic;

extern chain_list     *already_driven;
extern FILE           *outfile;

