/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
/*******************************************************************************
* rcn     : rcn_lo.c header file for functions declarations                    *
*                                                                              *
* version : 1.01                                                               *
* date    : 09/05/96                                                           *
*******************************************************************************/

lorcnet_list	*addlorcnet();
lorcnet_list    *givelorcnet();
lowire_list	*addlowire();
long		 addlonode();
int		 dellorcnet();
int		 dellowire();
lorcnet_list	*getlorcnet();
lowire_list	*getlowire();
lonode_list	*getlonode();
lonode_list	*givelonode();
void		 setloconnode();
void		 delloconnode();
void		 addcapawire();
void		 setcapawire();
void		 addresiwire();
void		 setresiwire();
void		 addpararesiwire();
void		 freetable();
void		 buildtable();
void		 rcnaddlocon();
num_list	*getloconnode();
void		 delnumloconnode();
int		 chkloop();
int		 chkloopmain();

/* Heap */

loblocnode_list	*heaploblocnode();
lotabnode_list	*heaplotabnode();
lowire_list	*heaplowire();
lorcnet_list	*heaprcnet();
void		 freercnet();
void		 freelowire();
void		 freeloblocnode();
void		 freelotabnode();

void		 disprcnstat();

