/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
typedef union  {
	int		 valu;
	char		*text;
	struct ptype	*ptyp;
	struct fbpcs	proc;
        struct g_type dble;
        fbl_name  	name;   
	fbl_ablstr	list;
	struct fbtyp 	type;
	} FBL_Y_STYPE;
#define	_AND	258
#define	Pragma	259
#define	_BEGIN	260
#define	_END	261
#define	_EQSym	262
#define	_EXIT	263
#define	_FILE	264
#define	_GESym	265
#define	_GTSym	266
#define	_IN	267
#define	_INOUT	268
#define	_LABEL	269
#define	_LESym	270
#define	_LINKAGE	271
#define	_LTSym	272
#define	_NAND	273
#define	_NESym	274
#define	_NEXT	275
#define	_NOR	276
#define	_NOT	277
#define	_NULL	278
#define	_OR	279
#define	_OUT	280
#define	_XOR	281
#define	ABS	282
#define	ACCESS	283
#define	AFTER	284
#define	ALIAS	285
#define	ALL	286
#define	ARCHITECTURE	287
#define	ARRAY	288
#define	ASSERT	289
#define	ATTRIBUTE	290
#define	AbstractLit	291
#define	Ampersand	292
#define	Apostrophe	293
#define	Arrow	294
#define	_BLOCK	295
#define	BODY	296
#define	BUFFER	297
#define	BUS	298
#define	Bar	299
#define	BasedInt	300
#define	BasedReal	301
#define	BitStringLit	302
#define	Box	303
#define	CASE	304
#define	COMPONENT	305
#define	CONFIGURATION	306
#define	CONSTANT	307
#define	CharacterLit	308
#define	Colon	309
#define	Comma	310
#define	DISCONNECT	311
#define	DOWNTO	312
#define	DecimalInt	313
#define	DecimalReal	314
#define	Dot	315
#define	DoubleStar	316
#define	ELSE	317
#define	ELSIF	318
#define	ENTITY	319
#define	ERROR	320
#define	FOR	321
#define	FUNCTION	322
#define	GENERATE	323
#define	GENERIC	324
#define	GUARDED	325
#define	IF	326
#define	IS	327
#define	Identifier	328
#define	LIBRARY	329
#define	LOOP	330
#define	LeftParen	331
#define	MAP	332
#define	MOD	333
#define	Minus	334
#define	NEW	335
#define	OF	336
#define	ON	337
#define	OPEN	338
#define	OTHERS	339
#define	PACKAGE	340
#define	PORT	341
#define	PROCEDURE	342
#define	PROCESS	343
#define	Plus	344
#define	RANGE	345
#define	RECORD	346
#define	REGISTER	347
#define	REM	348
#define	REPORT	349
#define	RETURN	350
#define	RightParen	351
#define	SELECT	352
#define	SEVERITY	353
#define	SIGNAL	354
#define	_STABLE	355
#define	SUBTYPE	356
#define	Semicolon	357
#define	Star	358
#define	StringLit	359
#define	THEN	360
#define	TO	361
#define	TRANSPORT	362
#define	FBHTYPE	363
#define	UNITS	364
#define	UNTIL	365
#define	USE	366
#define	VARIABLE	367
#define	VarAsgn	368
#define	WAIT	369
#define	WARNING	370
#define	WHEN	371
#define	WHILE	372
#define	WITH	373


extern FBL_Y_STYPE fbl_y_lval;
