# /*------------------------------------------------------------\
# |                                                             |
# | Tool   :                      SYF                           |
# |                                                             |
# | File   :                    export.mk                       |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# | Date   :                    12.06.96                        |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Target                          |
# |                                                             |
# \------------------------------------------------------------*/

LOCAL_TARGET_LIB = $(TARGET_LIB)
LOCAL_TARGET_INC = $(TARGET_INCLUDE)
LOCAL_TARGET_BIN = $(TARGET_BIN)

# /*------------------------------------------------------------\
# |                                                             |
# |                             Library                         |
# |                                                             |
# \------------------------------------------------------------*/

AUT_LIB = libAut102.a
ABL_LIB = libAbl102.a
VEX_LIB = libVex101.a
BDD_LIB = libBdd102.a
BTR_LIB = libBtr102.a

FSM_LIB = libFsm102.a
FKS_LIB = libFks102.a
FVH_LIB = libFvh102.a
FTL_LIB = libFtl102.a

BEH_LIB = libBeh200.a
BHL_LIB = libBhl200.a
BVL_LIB = libBvl200.a


VPN_LIB = libVpn103.a
VBH_LIB = libVbh103.a
VTL_LIB = libVtl103.a
VBL_LIB = libVbl103.a
VVH_LIB = libVvh103.a
VPD_LIB = libVpd103.a
VHL_LIB = libVhl103.a

MAD_LIB = libMad102.a
DSY_LIB = libDsy102.a
DPI_LIB = libDpi102.a
DVH_LIB = libDvh102.a

AUT_L   = -lAut102
ABL_L   = -lAbl102
VEX_L   = -lVex101
BDD_L   = -lBdd102
BTR_L   = -lBtr102

FSM_L   = -lFsm102
FKS_L   = -lFks102
FVH_L   = -lFvh102
FTL_L   = -lFtl102

BEH_L   = -lBeh200
BHL_L   = -lBhl200
BVL_L   = -lBvl200

VPN_L   = -lVpn103
VBH_L   = -lVbh103
VTL_L   = -lVtl103
VBL_L   = -lVbl103
VVH_L   = -lVvh103
VPD_L   = -lVpd103
VHL_L   = -lVhl103

MAD_L   = -lMad102.a
DSY_L   = -lDsy102.a
DPI_L   = -lDpi102.a
DVH_L   = -lDvh102.a

# /*------------------------------------------------------------\
# |                                                             |
# |                             Include                         |
# |                                                             |
# \------------------------------------------------------------*/

AUT_H   = aut102.h
ABL_H   = abl102.h
VEX_H   = vex101.h
BDD_H   = bdd102.h
BTR_H   = btr102.h

FSM_H   = fsm102.h
FVH_H   = fvh102.h
FTL_H   = ftl102.h

BEH_H   = beh200.h
BHL_H   = bhl200.h
BVL_H   = bvl200.h

VPN_H   = vpn103.h
VBH_H   = vbh103.h
VTL_H   = vtl103.h
VHL_H   = vhl103.h

MAD_H   = mad102.h
DSY_H   = dsy102.h
DPI_H   = dpi102.h
DVH_H   = dvh102.h

# /*------------------------------------------------------------\
# |                                                             |
# |                             Source                          |
# |                                                             |
# \------------------------------------------------------------*/

LOCAL_AUT_SCE = aut
LOCAL_ABL_SCE = abl
LOCAL_VEX_SCE = vex
LOCAL_BDD_SCE = bdd

LOCAL_FSM_SCE = fsm
LOCAL_FKS_SCE = fks
LOCAL_FVH_SCE = fvh
LOCAL_FTL_SCE = ftl

LOCAL_VPN_SCE = vpn
LOCAL_VBH_SCE = vbh
LOCAL_VTL_SCE = vtl
LOCAL_VBL_SCE = vbl
LOCAL_VVH_SCE = vvh
LOCAL_VPD_SCE = vpd
LOCAL_VHL_SCE = vhl

LOCAL_BEH_SCE = beh
LOCAL_BHL_SCE = bhl
LOCAL_BVL_SCE = bvl

LOCAL_SYF_SCE = syf
LOCAL_XFS_SCE = xfs
LOCAL_XPT_SCE = xpt
LOCAL_K2F_SCE = k2f

LOCAL_MAD_SCE = mad
LOCAL_DSY_SCE = dsy
LOCAL_DPI_SCE = dpi
LOCAL_DVH_SCE = dvh

