/* 11/21/96 Cone Netlist Structure functions: cnsfig.lex                      */

%{
#include			 <string.h>
#include			 "y.tab.h"
extern int		 cnsfiglineno;
%}

digit		[0-9]
number	{digit}+
oper		"+"|"-"

%%
\n					{cnsfiglineno++;}

[ \t]+			{}

^#.*$				{}

CNS				{return cnsCNS;}

({digit}{digit}):({digit}{digit}):({digit}{digit})	{return cnsTIME;}

SCALE				{return cnsSCALE;}

CONNECTORS		{return cnsCONNECTORS;}

TRANSISTORS		{return cnsTRANSISTORS;}

CELLS				{return cnsCELLS;}

CONES				{return cnsCONES;}

INPUT				{return cnsINPUT;}

OUTPUT			{return cnsOUTPUT;}

BRANCHES			{return cnsBRANCHES;}

USER				{return cnsUSER;}

PARALLEL			{return cnsPARALLEL;}

SWITCH			{return cnsSWITCH;}

BLEEDER			{return cnsBLEEDER;}

{oper}?{digit}*"."{number}	{sscanf(yytext, "%f", &(yylval.fval)); return(cnsFLOAT);}

{oper}?{number}				{yylval.lval = atoi(yytext); return(cnsLONG);}

[a-zA-Z&_!?$%][^ \t\n()]*	{strcpy(yylval.cstr, yytext); return(cnsSTRING);}

[()]				{return(*yytext);}

"-"/" "			{return(*yytext);}

[^ \t\n]			{}

%%

int yywrap() {return(1);}
