/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*********************************************************************\

    Fichier     :    strecher_upper.h

    Date        :    12 octobre 1995
    Version     :    2.0

    Auteur      :    CHAPUT Jean-Paul
    Modifie par :    BEAURIN Oliver

\*********************************************************************/

#ifndef UPPER_H
#define UPPER_H

#define        F_UPPER_PHCUT           1
#define        F_UPPER_PHDUP           2

#define        C_TWORK_SZ_NAME         MBK_SZ_NAME

#define        C_TABLE_SZ_PATH       256
#define        C_BUFFER_SZ_LINE      256
#define        C_FILE_SZ_PATH        256


extern char     TWORK_NAME[C_TWORK_SZ_NAME], TDUPL_NAME[C_TDUPL_SZ_NAME], TABLE_PATH[C_TABLE_SZ_PATH], buffer[C_BUFFER_SZ_LINE];
extern FILE    *TABLE_FILE;


extern dtdupl_list *add_work();
extern intv_list *make_work();
extern void     global_init();

#endif                          /* UPPER_H */
