/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

typedef union
  {
  char  cara;
  long   valu;
  char  *text;
  } YYSTYPE;
#define	M_PLACE_PHCON_NORTH	258
#define	M_PLACE_PHCON_SOUTH	259
#define	M_PLACE_PHCON_WEST	260
#define	M_PLACE_PHCON_EAST	261
#define	M_VER_FEED_THROUGH	262
#define	M_HOR_FEED_THROUGH	263
#define	Semicolon	264
#define	Colon	265
#define	Coma	266
#define	Identifier	267
#define	Number	268
#define	Lparen	269
#define	Rparen	270
#define	Lcro	271
#define	Rcro	272


extern YYSTYPE yylval;
