
/*  A Bison parser, made from mg2mbk.yac
 by  GNU Bison version 1.25
  */

#define MGBISON 1  /* Identify Bison output.  */

#define	CELL	258
#define	PLACE	259
#define	TERMINAL	260
#define	RA	261
#define	STRETCH	262
#define	WIRE	263
#define	MWIDTH	264
#define	HORIZ	265
#define	VERTI	266
#define	MLEFT	267
#define	MRIGHT	268
#define	MTOP	269
#define	MBOTTOM	270
#define	AT	271
#define	MX	272
#define	MY	273
#define	R	274
#define	NTR	275
#define	PTR	276
#define	COP	277
#define	CON	278
#define	COPS	279
#define	COPW	280
#define	CONW	281
#define	PVIA	282
#define	CXN	283
#define	CXP	284
#define	STRING	285
#define	NUM	286

#line 7 "mg2mbk.yac"

#include <stdio.h>
#include <string.h>
#include MUT_H
#include MPH_H
#define MAXLAYER (LAST_LAYER + 1)

static phfig_list *mgleaf; /* modgen leaf cell parsed */
static char mbk_layer();
static char *checkinsname();
static char *checkconname();
static char *checkrefname();
static chain_list *pl;
static int Extension[MAXLAYER] = {
	/*	NWELL	 */ 0,
	/*	PWELL	 */ 0,
	/*	NTIE	 */ 1,
	/*	PTIE	 */ 1,
	/*	NDIF	 */ 1,
	/*	PDIF	 */ 1,
	/*	NTRANS */ 0, /* meant for N transistor grid */
	/*	PTRANS */ 0, /* meant for P transistor grid */
	/*	POLY	 */ 1,
	/*	ALU1	 */ 1,
	/*	ALU2	 */ 2,
	/*	ALU3	 */ 2,
	/*	TPOLY	 */ 1,
	/*	TALU1	 */ 1,
	/*	TALU2	 */ 2,
	/*	TALU3	 */ 2 };

#define O_PS_AA 1.5
#define O_AA_PS 2

#ifdef GRIDDED
#define TWO 2
#else
#define TWO 1
#endif

/* note :
   All STRINGs are allocated using mbkstrdup since the pointer to mgtext
   will change when more than a STRING is used in the grammar.
   So all STRINGs are freed once used. */


#line 54 "mg2mbk.yac"
typedef union {
	char *s;
	long n;
	struct pxy {
		long x;
		long y;
	} *p;
} MGSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	MGFINAL		152
#define	MGFLAG		-32768
#define	MGNTBASE	39

#define MGTRANSLATE(x) ((unsigned)(x) <= 286 ? mgtranslate[x] : 51)

static const char mgtranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,    36,
    37,     2,     2,    38,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,    35,     2,
    34,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,    32,     2,    33,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31
};

#if MGDEBUG != 0
static const short mgprhs[] = {     0,
     0,     2,     4,     7,    13,    15,    18,    24,    35,    38,
    47,    61,    74,    75,    85,    97,   109,   115,   121,   127,
   133,   139,   145,   151,   157,   161,   163,   167,   169,   171,
   173,   175,   177,   179,   180,   182,   184,   187,   190,   194
};

static const short mgrhs[] = {    40,
     0,    41,     0,    40,    41,     0,     3,    30,    32,    42,
    33,     0,    43,     0,    43,    42,     0,     4,    30,    34,
    44,    35,     0,     4,    30,    34,    30,    50,    16,    36,
    46,    37,    35,     0,    44,    35,     0,     6,    36,    30,
    38,    46,    38,    46,    37,     0,     5,    30,    36,     9,
    34,    31,    37,    49,    30,    16,    36,    46,    37,     0,
     7,    36,    30,    38,    31,    38,    48,    38,    46,    38,
    46,    37,     0,     0,     8,    45,    36,    30,    38,    31,
    38,    47,    37,     0,    20,    36,    31,    38,    31,    37,
    50,    16,    36,    46,    37,     0,    21,    36,    31,    38,
    31,    37,    50,    16,    36,    46,    37,     0,    22,    16,
    36,    46,    37,     0,    23,    16,    36,    46,    37,     0,
    24,    16,    36,    46,    37,     0,    25,    16,    36,    46,
    37,     0,    26,    16,    36,    46,    37,     0,    27,    16,
    36,    46,    37,     0,    28,    16,    36,    46,    37,     0,
    29,    16,    36,    46,    37,     0,    31,    38,    31,     0,
    46,     0,    46,    38,    47,     0,    10,     0,    11,     0,
    12,     0,    13,     0,    15,     0,    14,     0,     0,    17,
     0,    18,     0,    17,    18,     0,    19,    31,     0,    17,
    19,    31,     0,    18,    19,    31,     0
};

#endif

#if MGDEBUG != 0
static const short mgrline[] = { 0,
   103,   106,   107,   110,   116,   117,   120,   124,   134,   137,
   148,   158,   185,   185,   231,   261,   291,   296,   301,   306,
   311,   316,   321,   326,   333,   344,   348,   354,   355,   358,
   359,   360,   361,   364,   365,   367,   369,   371,   378,   385
};
#endif


#if MGDEBUG != 0 || defined (MGERROR_VERBOSE)

static const char * const mgtname[] = {   "$","error","$undefined.","CELL","PLACE",
"TERMINAL","RA","STRETCH","WIRE","MWIDTH","HORIZ","VERTI","MLEFT","MRIGHT","MTOP",
"MBOTTOM","AT","MX","MY","R","NTR","PTR","COP","CON","COPS","COPW","CONW","PVIA",
"CXN","CXP","STRING","NUM","'{'","'}'","'='","';'","'('","')'","','","design",
"cells","leafcell","lines","line","elm","@1","point","point_list","dir","face",
"op", NULL
};
#endif

static const short mgr1[] = {     0,
    39,    40,    40,    41,    42,    42,    43,    43,    43,    44,
    44,    44,    45,    44,    44,    44,    44,    44,    44,    44,
    44,    44,    44,    44,    46,    47,    47,    48,    48,    49,
    49,    49,    49,    50,    50,    50,    50,    50,    50,    50
};

static const short mgr2[] = {     0,
     1,     1,     2,     5,     1,     2,     5,    10,     2,     8,
    13,    12,     0,     9,    11,    11,     5,     5,     5,     5,
     5,     5,     5,     5,     3,     1,     3,     1,     1,     1,
     1,     1,     1,     0,     1,     1,     2,     2,     3,     3
};

static const short mgdefact[] = {     0,
     0,     1,     2,     0,     3,     0,     0,     0,     0,     0,
    13,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
     6,     9,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,    34,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    35,    36,     0,     0,     7,     0,
     0,     0,     0,     0,     0,     0,    17,    18,    19,    20,
    21,    22,    23,    24,    37,     0,     0,    38,     0,     0,
     0,     0,     0,    34,    34,    25,    39,    40,     0,     0,
     0,    28,    29,     0,     0,     0,     0,     0,    30,    31,
    33,    32,     0,    10,     0,    26,     0,     0,     0,     0,
     0,     0,     0,    14,     0,     0,     8,     0,     0,    27,
     0,     0,     0,     0,    15,    16,     0,    12,    11,     0,
     0,     0
};

static const short mgdefgoto[] = {   150,
     2,     3,    22,    23,    24,    29,   126,   127,   114,   123,
    78
};

static const short mgpact[] = {    24,
    25,    24,-32768,    22,-32768,     8,    26,    27,    28,    29,
-32768,    30,    31,    42,    44,    45,    46,    47,    52,    53,
    54,    38,     8,    37,    40,    41,    43,    48,    51,    49,
    50,    55,    56,    58,    59,    60,    61,    62,    63,-32768,
-32768,-32768,    18,    67,    64,    65,    70,    66,    68,    57,
    57,    57,    57,    57,    57,    57,    57,    -9,    72,    71,
    57,    77,    73,    78,    79,    74,    76,    80,    81,    82,
    83,    84,    85,    86,     3,    95,    93,    99,-32768,    94,
    88,    89,    97,    92,    96,   100,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,   101,   103,-32768,   102,    98,
    57,    39,   104,    -9,    -9,-32768,-32768,-32768,    57,     5,
   106,-32768,-32768,   107,    57,   114,   120,   109,-32768,-32768,
-32768,-32768,   110,-32768,    57,   111,   113,   105,   108,   112,
   121,   115,    57,-32768,    57,    57,-32768,   116,    57,-32768,
   117,   118,    57,   119,-32768,-32768,   122,-32768,-32768,    90,
   139,-32768
};

static const short mgpgoto[] = {-32768,
-32768,   146,   128,-32768,    36,-32768,   -50,   -51,-32768,-32768,
   -52
};


#define	MGLAST		159


static const short mgtable[] = {    67,
    68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
    81,     7,     8,     9,    10,    11,   119,   120,   121,   122,
    95,    96,     8,     9,    10,    11,     1,    12,    13,    14,
    15,    16,    17,    18,    19,    20,    21,    12,    13,    14,
    15,    16,    17,    18,    19,    20,    21,    58,   112,   113,
   111,   116,   117,     6,     4,    25,    26,    32,   118,    33,
    34,    35,    36,    27,    28,    30,    31,    37,    38,    39,
    40,    42,    45,    43,   132,    60,    44,    46,    59,    48,
    49,   140,     0,     0,   141,   142,    47,    66,   144,   151,
    50,    51,   147,    52,    53,    54,    55,    56,    57,    63,
     0,    61,    62,    64,    80,    65,    79,    82,    84,    85,
    83,    86,    87,    97,    99,     0,    88,    89,    90,    91,
    92,    93,    94,    98,   100,   101,   102,   103,   104,   128,
   106,   107,   105,   108,   110,   129,   138,   109,   152,   131,
   135,   115,   124,   136,   125,   130,   137,     5,   133,   134,
    41,   143,   139,   145,   146,   148,     0,     0,   149
};

static const short mgcheck[] = {    50,
    51,    52,    53,    54,    55,    56,    57,    17,    18,    19,
    61,     4,     5,     6,     7,     8,    12,    13,    14,    15,
    18,    19,     5,     6,     7,     8,     3,    20,    21,    22,
    23,    24,    25,    26,    27,    28,    29,    20,    21,    22,
    23,    24,    25,    26,    27,    28,    29,    30,    10,    11,
   101,   104,   105,    32,    30,    30,    30,    16,   109,    16,
    16,    16,    16,    36,    36,    36,    36,    16,    16,    16,
    33,    35,    30,    34,   125,     9,    36,    30,    43,    31,
    31,   133,    -1,    -1,   135,   136,    36,    31,   139,     0,
    36,    36,   143,    36,    36,    36,    36,    36,    36,    30,
    -1,    38,    38,    38,    34,    38,    35,    31,    31,    31,
    38,    38,    37,    19,    16,    -1,    37,    37,    37,    37,
    37,    37,    37,    31,    31,    38,    38,    31,    37,    16,
    31,    31,    37,    31,    37,    16,    16,    36,     0,    30,
    36,    38,    37,    36,    38,    37,    35,     2,    38,    37,
    23,    36,    38,    37,    37,    37,    -1,    -1,    37
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/labo/gnu/share/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define mgerrok		(mgerrstatus = 0)
#define mgclearin	(mgchar = MGEMPTY)
#define MGEMPTY		-2
#define MGEOF		0
#define MGACCEPT	return(0)
#define MGABORT 	return(1)
#define MGERROR		goto mgerrlab1
/* Like MGERROR except do call mgerror.
   This remains here temporarily to ease the
   transition to the new meaning of MGERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define MGFAIL		goto mgerrlab
#define MGRECOVERING()  (!!mgerrstatus)
#define MGBACKUP(token, value) \
do								\
  if (mgchar == MGEMPTY && mglen == 1)				\
    { mgchar = (token), mglval = (value);			\
      mgchar1 = MGTRANSLATE (mgchar);				\
      MGPOPSTACK;						\
      goto mgbackup;						\
    }								\
  else								\
    { mgerror ("syntax error: cannot back up"); MGERROR; }	\
while (0)

#define MGTERROR	1
#define MGERRCODE	256

#ifndef MGPURE
#define MGLEX		mglex()
#endif

#ifdef MGPURE
#ifdef MGLSP_NEEDED
#ifdef MGLEX_PARAM
#define MGLEX		mglex(&mglval, &mglloc, MGLEX_PARAM)
#else
#define MGLEX		mglex(&mglval, &mglloc)
#endif
#else /* not MGLSP_NEEDED */
#ifdef MGLEX_PARAM
#define MGLEX		mglex(&mglval, MGLEX_PARAM)
#else
#define MGLEX		mglex(&mglval)
#endif
#endif /* not MGLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef MGPURE

int	mgchar;			/*  the lookahead symbol		*/
MGSTYPE	mglval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef MGLSP_NEEDED
MGLTYPE mglloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int mgnerrs;			/*  number of parse errors so far       */
#endif  /* not MGPURE */

#if MGDEBUG != 0
int mgdebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  MGINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	MGINITDEPTH
#define MGINITDEPTH 200
#endif

/*  MGMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if MGMAXDEPTH == 0
#undef MGMAXDEPTH
#endif

#ifndef MGMAXDEPTH
#define MGMAXDEPTH 10000
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
int mgparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __mg_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__mg_memcpy (to, from, count)
     char *to;
     char *from;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__mg_memcpy (char *to, char *from, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 196 "/labo/gnu/share/bison.simple"

/* The user can define MGPARSE_PARAM as the name of an argument to be passed
   into mgparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef MGPARSE_PARAM
#ifdef __cplusplus
#define MGPARSE_PARAM_ARG void *MGPARSE_PARAM
#define MGPARSE_PARAM_DECL
#else /* not __cplusplus */
#define MGPARSE_PARAM_ARG MGPARSE_PARAM
#define MGPARSE_PARAM_DECL void *MGPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not MGPARSE_PARAM */
#define MGPARSE_PARAM_ARG
#define MGPARSE_PARAM_DECL
#endif /* not MGPARSE_PARAM */

int
mgparse(MGPARSE_PARAM_ARG)
     MGPARSE_PARAM_DECL
{
  register int mgstate;
  register int mgn;
  register short *mgssp;
  register MGSTYPE *mgvsp;
  int mgerrstatus;	/*  number of tokens to shift before error messages enabled */
  int mgchar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	mgssa[MGINITDEPTH];	/*  the state stack			*/
  MGSTYPE mgvsa[MGINITDEPTH];	/*  the semantic value stack		*/

  short *mgss = mgssa;		/*  refer to the stacks thru separate pointers */
  MGSTYPE *mgvs = mgvsa;	/*  to allow mgoverflow to reallocate them elsewhere */

#ifdef MGLSP_NEEDED
  MGLTYPE mglsa[MGINITDEPTH];	/*  the location stack			*/
  MGLTYPE *mgls = mglsa;
  MGLTYPE *mglsp;

#define MGPOPSTACK   (mgvsp--, mgssp--, mglsp--)
#else
#define MGPOPSTACK   (mgvsp--, mgssp--)
#endif

  int mgstacksize = MGINITDEPTH;

#ifdef MGPURE
  int mgchar;
  MGSTYPE mglval;
  int mgnerrs;
#ifdef MGLSP_NEEDED
  MGLTYPE mglloc;
#endif
#endif

  MGSTYPE mgval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int mglen;

#if MGDEBUG != 0
  if (mgdebug)
    fprintf(stderr, "Starting parse\n");
#endif

  mgstate = 0;
  mgerrstatus = 0;
  mgnerrs = 0;
  mgchar = MGEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  mgssp = mgss - 1;
  mgvsp = mgvs;
#ifdef MGLSP_NEEDED
  mglsp = mgls;
#endif

/* Push a new state, which is found in  mgstate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
mgnewstate:

  *++mgssp = mgstate;

  if (mgssp >= mgss + mgstacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      MGSTYPE *mgvs1 = mgvs;
      short *mgss1 = mgss;
#ifdef MGLSP_NEEDED
      MGLTYPE *mgls1 = mgls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = mgssp - mgss + 1;

#ifdef mgoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef MGLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if mgoverflow is a macro.  */
      mgoverflow("parser stack overflow",
		 &mgss1, size * sizeof (*mgssp),
		 &mgvs1, size * sizeof (*mgvsp),
		 &mgls1, size * sizeof (*mglsp),
		 &mgstacksize);
#else
      mgoverflow("parser stack overflow",
		 &mgss1, size * sizeof (*mgssp),
		 &mgvs1, size * sizeof (*mgvsp),
		 &mgstacksize);
#endif

      mgss = mgss1; mgvs = mgvs1;
#ifdef MGLSP_NEEDED
      mgls = mgls1;
#endif
#else /* no mgoverflow */
      /* Extend the stack our own way.  */
      if (mgstacksize >= MGMAXDEPTH)
	{
	  mgerror("parser stack overflow");
	  return 2;
	}
      mgstacksize *= 2;
      if (mgstacksize > MGMAXDEPTH)
	mgstacksize = MGMAXDEPTH;
      mgss = (short *) alloca (mgstacksize * sizeof (*mgssp));
      __mg_memcpy ((char *)mgss, (char *)mgss1, size * sizeof (*mgssp));
      mgvs = (MGSTYPE *) alloca (mgstacksize * sizeof (*mgvsp));
      __mg_memcpy ((char *)mgvs, (char *)mgvs1, size * sizeof (*mgvsp));
#ifdef MGLSP_NEEDED
      mgls = (MGLTYPE *) alloca (mgstacksize * sizeof (*mglsp));
      __mg_memcpy ((char *)mgls, (char *)mgls1, size * sizeof (*mglsp));
#endif
#endif /* no mgoverflow */

      mgssp = mgss + size - 1;
      mgvsp = mgvs + size - 1;
#ifdef MGLSP_NEEDED
      mglsp = mgls + size - 1;
#endif

#if MGDEBUG != 0
      if (mgdebug)
	fprintf(stderr, "Stack size increased to %d\n", mgstacksize);
#endif

      if (mgssp >= mgss + mgstacksize - 1)
	MGABORT;
    }

#if MGDEBUG != 0
  if (mgdebug)
    fprintf(stderr, "Entering state %d\n", mgstate);
#endif

  goto mgbackup;
 mgbackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* mgresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  mgn = mgpact[mgstate];
  if (mgn == MGFLAG)
    goto mgdefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* mgchar is either MGEMPTY or MGEOF
     or a valid token in external form.  */

  if (mgchar == MGEMPTY)
    {
#if MGDEBUG != 0
      if (mgdebug)
	fprintf(stderr, "Reading a token: ");
#endif
      mgchar = MGLEX;
    }

  /* Convert token to internal form (in mgchar1) for indexing tables with */

  if (mgchar <= 0)		/* This means end of input. */
    {
      mgchar1 = 0;
      mgchar = MGEOF;		/* Don't call MGLEX any more */

#if MGDEBUG != 0
      if (mgdebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      mgchar1 = MGTRANSLATE(mgchar);

#if MGDEBUG != 0
      if (mgdebug)
	{
	  fprintf (stderr, "Next token is %d (%s", mgchar, mgtname[mgchar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef MGPRINT
	  MGPRINT (stderr, mgchar, mglval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  mgn += mgchar1;
  if (mgn < 0 || mgn > MGLAST || mgcheck[mgn] != mgchar1)
    goto mgdefault;

  mgn = mgtable[mgn];

  /* mgn is what to do for this token type in this state.
     Negative => reduce, -mgn is rule number.
     Positive => shift, mgn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (mgn < 0)
    {
      if (mgn == MGFLAG)
	goto mgerrlab;
      mgn = -mgn;
      goto mgreduce;
    }
  else if (mgn == 0)
    goto mgerrlab;

  if (mgn == MGFINAL)
    MGACCEPT;

  /* Shift the lookahead token.  */

#if MGDEBUG != 0
  if (mgdebug)
    fprintf(stderr, "Shifting token %d (%s), ", mgchar, mgtname[mgchar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (mgchar != MGEOF)
    mgchar = MGEMPTY;

  *++mgvsp = mglval;
#ifdef MGLSP_NEEDED
  *++mglsp = mglloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (mgerrstatus) mgerrstatus--;

  mgstate = mgn;
  goto mgnewstate;

/* Do the default action for the current state.  */
mgdefault:

  mgn = mgdefact[mgstate];
  if (mgn == 0)
    goto mgerrlab;

/* Do a reduction.  mgn is the number of a rule to reduce with.  */
mgreduce:
  mglen = mgr2[mgn];
  if (mglen > 0)
    mgval = mgvsp[1-mglen]; /* implement default value of the action */

#if MGDEBUG != 0
  if (mgdebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       mgn, mgrline[mgn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = mgprhs[mgn]; mgrhs[i] > 0; i++)
	fprintf (stderr, "%s ", mgtname[mgrhs[i]]);
      fprintf (stderr, " -> %s\n", mgtname[mgr1[mgn]]);
    }
#endif


  switch (mgn) {

case 4:
#line 111 "mg2mbk.yac"
{
			mbkfree(mgvsp[-3].s);
		;
    break;}
case 7:
#line 121 "mg2mbk.yac"
{
			mbkfree(mgvsp[-3].s);
		;
    break;}
case 8:
#line 125 "mg2mbk.yac"
{
			if (!strcmp(mgvsp[-6].s, "ref_ref") || !strcmp(mgvsp[-6].s, "ref_con"))
				addphref(mgleaf, mgvsp[-6].s, checkrefname(mgvsp[-8].s), mgvsp[-2].p->x, mgvsp[-2].p->y);
			else /* unknown internally! */
				addphins(mgleaf, mgvsp[-6].s, checkinsname(mgvsp[-8].s), mgvsp[-5].n, mgvsp[-2].p->x, mgvsp[-2].p->y);
			mbkfree(mgvsp[-8].s);
			mbkfree(mgvsp[-6].s);
			mbkfree(mgvsp[-2].p);
		;
    break;}
case 10:
#line 138 "mg2mbk.yac"
{
			if (strncmp(mgvsp[-5].s, "zd", 2)) {
				fprintf(stderr, "modgen parser warning : ra not for ab box\n");
				/* exit(18); */
			} else
				defab(mgleaf, mgvsp[-3].p->x, mgvsp[-1].p->x, mgvsp[-3].p->y, mgvsp[-1].p->y);
			mbkfree(mgvsp[-5].s);
			mbkfree(mgvsp[-3].p);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 11:
#line 149 "mg2mbk.yac"
{
			if (strcmp(mgvsp[-11].s, "ul") && strcmp(mgvsp[-11].s, "ur")
					&& strcmp(mgvsp[-11].s, "lr") && strcmp(mgvsp[-11].s, "ll"))
				addphcon(mgleaf, (char)mgvsp[-5].n, checkconname(mgvsp[-11].s),
							mgvsp[-1].p->x, mgvsp[-1].p->y, mbk_layer(mgvsp[-4].s), mgvsp[-7].n); 
			mbkfree(mgvsp[-11].s);
			mbkfree(mgvsp[-4].s);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 12:
#line 159 "mg2mbk.yac"
{
		char layer = mbk_layer(mgvsp[-9].s);
		int x1 = mgvsp[-3].p->x, y1 = mgvsp[-3].p->y, x2 = mgvsp[-1].p->x, y2 = mgvsp[-1].p->y;

			mbkfree(mgvsp[-9].s);
			mbkfree(mgvsp[-3].p);
			mbkfree(mgvsp[-1].p);
			if (mgvsp[-5].n == VERTI) {
				if (y2 > y1) {
					y2 -= Extension[(int)layer] * SCALE_X * TWO / 2;
					y1 += Extension[(int)layer] * SCALE_X * TWO / 2;
				} else {
					y2 += Extension[(int)layer] * SCALE_X * TWO / 2;
					y1 -= Extension[(int)layer] * SCALE_X * TWO / 2;
				}
			} else {
				if (x2 > x1) {
					x2 -= Extension[(int)layer] * SCALE_X * TWO / 2;
					x1 += Extension[(int)layer] * SCALE_X * TWO / 2;
				} else {
					x2 += Extension[(int)layer] * SCALE_X * TWO / 2;
					x1 -= Extension[(int)layer] * SCALE_X * TWO / 2;
				}
			}
			addphseg(mgleaf, layer, mgvsp[-7].n, x1, y1, x2, y2, NULL);
		;
    break;}
case 13:
#line 185 "mg2mbk.yac"
{pl = NULL;;
    break;}
case 14:
#line 186 "mg2mbk.yac"
{
		chain_list *l;
		int x1, y1, x2, y2;
		char layer = mbk_layer(mgvsp[-5].s);

			mbkfree(mgvsp[-5].s);
			/* points in inverted order, but doesn't matter, same algo */
			for (l = pl; l->NEXT; l = l->NEXT) {
				x1 = (int)((struct pxy *)(l->DATA))->x;
				y1 = (int)((struct pxy *)(l->DATA))->y;
				x2 = (int)((struct pxy *)(l->NEXT->DATA))->x;
				y2 = (int)((struct pxy *)(l->NEXT->DATA))->y;
				if (l == pl) { /* last point */
					if (x1 == x2) {
						if (y2 > y1) {
							y1 += Extension[(int)layer] * SCALE_X * TWO / 2;
						} else {
							y1 -= Extension[(int)layer] * SCALE_X * TWO / 2;
						}
					} else {
						if (x2 > x1) {
							x1 += Extension[(int)layer] * SCALE_X * TWO / 2;
						} else {
							x1 -= Extension[(int)layer] * SCALE_X * TWO / 2;
						}
					}
				}
				if (!l->NEXT->NEXT) { /* first point */
					if (x1 == x2) {
						if (y2 > y1) {
							y2 -= Extension[(int)layer] * SCALE_X * TWO / 2;
						} else {
							y2 += Extension[(int)layer] * SCALE_X * TWO / 2;
						}
					} else {
						if (x2 > x1) {
							x2 -= Extension[(int)layer] * SCALE_X * TWO / 2;
						} else {
							x2 += Extension[(int)layer] * SCALE_X * TWO / 2;
						}
					}
				}
				addphseg(mgleaf, layer, mgvsp[-3].n, x1, y1, x2, y2, NULL);
			}
		;
    break;}
case 15:
#line 232 "mg2mbk.yac"
{ /* bounding box of transistors is knows for idps technology */
		float tx; /* used to compute transistor bbox */
		int x1, y1, x2, y2;

			/* +-----------+ when not placed yet */
			tx = ((float)mgvsp[-8].n / 2 + (float)O_PS_AA * SCALE_X * TWO);

			switch ((char)mgvsp[-4].n) {
				case NOSYM:
				case SYM_X:
				case SYM_Y:
				case SYMXY:
					y2 = y1 = mgvsp[-1].p->y;
					x1 = mgvsp[-1].p->x + tx;
					x2 = mgvsp[-1].p->x - tx;
					addphseg(mgleaf, NTRANS, mgvsp[-6].n, x1, y1, x2, y2, NULL);
					break;
				case ROT_P:
				case ROT_M:
				case SY_RP:
				case SY_RM:
					x2 = x1 = mgvsp[-1].p->x;
					y1 = mgvsp[-1].p->y + tx;
					y2 = mgvsp[-1].p->y - tx;
					addphseg(mgleaf, NTRANS, mgvsp[-6].n, x1, y1, x2, y2, NULL);
					break;
			}
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 16:
#line 262 "mg2mbk.yac"
{ /* bounding box of transistors is knows for idps technology */
		float tx; /* used to compute transistor bbox */
		int x1, y1, x2, y2;

			/* +-----------+ when not placed yet */
			tx = ((float)mgvsp[-8].n / 2 + (float)O_PS_AA * SCALE_X * TWO);

			switch ((char)mgvsp[-4].n) {
				case NOSYM:
				case SYM_X:
				case SYM_Y:
				case SYMXY:
					y2 = y1 = mgvsp[-1].p->y;
					x1 = mgvsp[-1].p->x + tx;
					x2 = mgvsp[-1].p->x - tx;
					addphseg(mgleaf, PTRANS, mgvsp[-6].n, x1, y1, x2, y2, NULL);
					break;
				case ROT_P:
				case ROT_M:
				case SY_RP:
				case SY_RM:
					x2 = x1 = mgvsp[-1].p->x;
					y1 = mgvsp[-1].p->y + tx;
					y2 = mgvsp[-1].p->y - tx;
					addphseg(mgleaf, PTRANS, mgvsp[-6].n, x1, y1, x2, y2, NULL);
					break;
			}
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 17:
#line 292 "mg2mbk.yac"
{
			addphvia(mgleaf, CONT_DIF_P, mgvsp[-1].p->x, mgvsp[-1].p->y);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 18:
#line 297 "mg2mbk.yac"
{
			addphvia(mgleaf, CONT_DIF_N, mgvsp[-1].p->x, mgvsp[-1].p->y);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 19:
#line 302 "mg2mbk.yac"
{
			addphvia(mgleaf, CONT_POLY, mgvsp[-1].p->x, mgvsp[-1].p->y);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 20:
#line 307 "mg2mbk.yac"
{
			addphvia(mgleaf, CONT_BODY_P, mgvsp[-1].p->x, mgvsp[-1].p->y);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 21:
#line 312 "mg2mbk.yac"
{
			addphvia(mgleaf, CONT_BODY_N, mgvsp[-1].p->x, mgvsp[-1].p->y);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 22:
#line 317 "mg2mbk.yac"
{
			addphvia(mgleaf, CONT_VIA, mgvsp[-1].p->x, mgvsp[-1].p->y);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 23:
#line 322 "mg2mbk.yac"
{
			addphvia(mgleaf, C_X_N, mgvsp[-1].p->x, mgvsp[-1].p->y);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 24:
#line 327 "mg2mbk.yac"
{
			addphvia(mgleaf, C_X_P, mgvsp[-1].p->x, mgvsp[-1].p->y);
			mbkfree(mgvsp[-1].p);
		;
    break;}
case 25:
#line 334 "mg2mbk.yac"
{
		struct pxy *pp;

			pp = (struct pxy *)mbkalloc(sizeof(struct pxy));
			pp->x = mgvsp[-2].n;
			pp->y = mgvsp[0].n;
			mgval.p = pp;
		;
    break;}
case 26:
#line 345 "mg2mbk.yac"
{
			pl = addchain(pl, (void *)mgvsp[0].p);
		;
    break;}
case 27:
#line 349 "mg2mbk.yac"
{
			pl = addchain(pl, (void *)mgvsp[-2].p);
		;
    break;}
case 28:
#line 354 "mg2mbk.yac"
{mgval.n = (long)HORIZ;;
    break;}
case 29:
#line 355 "mg2mbk.yac"
{mgval.n = (long)VERTI;;
    break;}
case 30:
#line 358 "mg2mbk.yac"
{mgval.n = (long)WEST;;
    break;}
case 31:
#line 359 "mg2mbk.yac"
{mgval.n = (long)EAST;;
    break;}
case 32:
#line 360 "mg2mbk.yac"
{mgval.n = (long)SOUTH;;
    break;}
case 33:
#line 361 "mg2mbk.yac"
{mgval.n = (long)NORTH;;
    break;}
case 34:
#line 364 "mg2mbk.yac"
{mgval.n = (long)NOSYM;;
    break;}
case 35:
#line 366 "mg2mbk.yac"
{mgval.n = (long)SYM_Y;;
    break;}
case 36:
#line 368 "mg2mbk.yac"
{mgval.n = (long)SYM_X;;
    break;}
case 37:
#line 370 "mg2mbk.yac"
{mgval.n = (long)SYMXY;;
    break;}
case 38:
#line 372 "mg2mbk.yac"
{
			if (mgvsp[0].n / SCALE_X / TWO == 90)
				mgval.n = (long)ROT_P;
			if (mgvsp[0].n / SCALE_X / TWO == 270)
				mgval.n = (long)ROT_M;
		;
    break;}
case 39:
#line 379 "mg2mbk.yac"
{
			if (mgvsp[0].n / SCALE_X / TWO == 90)
				mgval.n = (long)SY_RM;
			if (mgvsp[0].n / SCALE_X / TWO == 270)
				mgval.n = (long)SY_RP;
		;
    break;}
case 40:
#line 386 "mg2mbk.yac"
{
			if (mgvsp[0].n / SCALE_X / TWO == 90)
				mgval.n = (long)SY_RP;
			if (mgvsp[0].n / SCALE_X / TWO == 270)
				mgval.n = (long)SY_RM;
		;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 498 "/labo/gnu/share/bison.simple"

  mgvsp -= mglen;
  mgssp -= mglen;
#ifdef MGLSP_NEEDED
  mglsp -= mglen;
#endif

#if MGDEBUG != 0
  if (mgdebug)
    {
      short *ssp1 = mgss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != mgssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++mgvsp = mgval;

#ifdef MGLSP_NEEDED
  mglsp++;
  if (mglen == 0)
    {
      mglsp->first_line = mglloc.first_line;
      mglsp->first_column = mglloc.first_column;
      mglsp->last_line = (mglsp-1)->last_line;
      mglsp->last_column = (mglsp-1)->last_column;
      mglsp->text = 0;
    }
  else
    {
      mglsp->last_line = (mglsp+mglen-1)->last_line;
      mglsp->last_column = (mglsp+mglen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  mgn = mgr1[mgn];

  mgstate = mgpgoto[mgn - MGNTBASE] + *mgssp;
  if (mgstate >= 0 && mgstate <= MGLAST && mgcheck[mgstate] == *mgssp)
    mgstate = mgtable[mgstate];
  else
    mgstate = mgdefgoto[mgn - MGNTBASE];

  goto mgnewstate;

mgerrlab:   /* here on detecting error */

  if (! mgerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++mgnerrs;

#ifdef MGERROR_VERBOSE
      mgn = mgpact[mgstate];

      if (mgn > MGFLAG && mgn < MGLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -mgn if nec to avoid negative indexes in mgcheck.  */
	  for (x = (mgn < 0 ? -mgn : 0);
	       x < (sizeof(mgtname) / sizeof(char *)); x++)
	    if (mgcheck[x + mgn] == x)
	      size += strlen(mgtname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (mgn < 0 ? -mgn : 0);
		       x < (sizeof(mgtname) / sizeof(char *)); x++)
		    if (mgcheck[x + mgn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, mgtname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      mgerror(msg);
	      free(msg);
	    }
	  else
	    mgerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* MGERROR_VERBOSE */
	mgerror("parse error");
    }

  goto mgerrlab1;
mgerrlab1:   /* here on error raised explicitly by an action */

  if (mgerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (mgchar == MGEOF)
	MGABORT;

#if MGDEBUG != 0
      if (mgdebug)
	fprintf(stderr, "Discarding token %d (%s).\n", mgchar, mgtname[mgchar1]);
#endif

      mgchar = MGEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  mgerrstatus = 3;		/* Each real token shifted decrements this */

  goto mgerrhandle;

mgerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  mgn = mgdefact[mgstate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (mgn) goto mgdefault;
#endif

mgerrpop:   /* pop the current state because it cannot handle the error token */

  if (mgssp == mgss) MGABORT;
  mgvsp--;
  mgstate = *--mgssp;
#ifdef MGLSP_NEEDED
  mglsp--;
#endif

#if MGDEBUG != 0
  if (mgdebug)
    {
      short *ssp1 = mgss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != mgssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

mgerrhandle:

  mgn = mgpact[mgstate];
  if (mgn == MGFLAG)
    goto mgerrdefault;

  mgn += MGTERROR;
  if (mgn < 0 || mgn > MGLAST || mgcheck[mgn] != MGTERROR)
    goto mgerrdefault;

  mgn = mgtable[mgn];
  if (mgn < 0)
    {
      if (mgn == MGFLAG)
	goto mgerrpop;
      mgn = -mgn;
      goto mgreduce;
    }
  else if (mgn == 0)
    goto mgerrpop;

  if (mgn == MGFINAL)
    MGACCEPT;

#if MGDEBUG != 0
  if (mgdebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++mgvsp = mglval;
#ifdef MGLSP_NEEDED
  *++mglsp = mglloc;
#endif

  mgstate = mgn;
  goto mgnewstate;
}
#line 394 "mg2mbk.yac"

char *
	filenameforlex()
{
	return mgleaf->NAME;
}

void
	mgnloadphfig(fig, name, mode)
phfig_list *fig;
char *name;
char mode;
{
extern FILE *mgin; /* declared in the lex.mg.c by default */
extern int mglineno;
chain_list *c;

	mgleaf = fig;
	if ((mgin = mbkfopen(name, IN_PH, READ_TEXT)) == NULL) {
		fflush(stdout);
		fprintf(stderr,
			"*** mbk error *** modgen parser failed opening file %s.%s\n",
			name, IN_PH);
		EXIT(1);
	}
	mglineno = 0;
	if (mgparse()) {
		fflush(stdout);
		fprintf(stderr,
			"*** mbk error *** modgen parser failed while reading file %s\n",
			filepath(name, IN_PH));
		EXIT(1);
	}
	(void)fclose(mgin);
	/* free :
	   temporary space for point list must be freed. */
	for (c = pl; c; c = c->NEXT)
		mbkfree(c->DATA);
	freechain(pl);
	/* not so nice :
	   It would be nice if I'd parse only the necessary stuff when reading
	   the file, but it's a little painful, and would need some checks
	   I can't afford right now. */
	if (mode == 'P') {
	void **ppobj;
	void *next;

		/* delete instances */
		for (ppobj = (void**)&HEAD_PHFIG->PHINS; *ppobj != NULL;) {
			next = (void *)((phins_list *)*ppobj)->NEXT;
			mbkfree((phins_list *)*ppobj);
			*ppobj = next;
		}

		/* delete vias */
		for (ppobj = (void**)&HEAD_PHFIG->PHVIA; *ppobj != NULL;) {
			next = (void *)((phvia_list *)*ppobj)->NEXT;
			mbkfree((phvia_list *)*ppobj);
			*ppobj = next;
		}

		/* delete segments */
		for (ppobj = (void**)&HEAD_PHFIG->PHSEG; *ppobj != NULL;) {
			if (((phseg_list *)*ppobj)->LAYER != TPOLY
					&& ((phseg_list *)*ppobj)->LAYER != TALU1
					&& ((phseg_list *)*ppobj)->LAYER != TALU2
					&& ((phseg_list *)*ppobj)->LAYER != TALU3) {
				next = (void *)((phseg_list *)*ppobj)->NEXT;
				mbkfree((phseg_list *)*ppobj);
				*ppobj = next;
			} else
				ppobj = (void **)&((phseg_list *)*ppobj)->NEXT;
		}
	}
	/* mbk strategy :
	   only one cell per modgen file. */
	fig = HEAD_PHFIG;
}

static char
	mbk_layer(mg_layer)
char *mg_layer;
{
	if (!strcmp(mg_layer, "nw"))
		return NWELL;
	if (!strcmp(mg_layer, "pw"))
		return PWELL;
	if (!strcmp(mg_layer, "xn"))
		return NTIE;
	if (!strcmp(mg_layer, "xp"))
		return PTIE;
	if (!strcmp(mg_layer, "nn"))
		return NDIF;
	if (!strcmp(mg_layer, "pp"))
		return PDIF;
	if (!strcmp(mg_layer, "ps"))
		return POLY;
	if (!strcmp(mg_layer, "m1"))
		return ALU1;
	if (!strcmp(mg_layer, "m2"))
		return ALU2;
	if (!strcmp(mg_layer, "m3"))
		return ALU3;
	if (!strcmp(mg_layer, "am1"))
		return TALU1;
	if (!strcmp(mg_layer, "am2"))
		return TALU2;
	if (!strcmp(mg_layer, "am3"))
		return TALU3;
}

/* decode a reference name :
   xxx[?]          -> xxx
   xxx[?][??]      -> xxx ?,
   xxx[?][??][???] -> xxx ?_??.
   I always have added an index since here also two instances can't have
   the same name. */

static char
	*checkrefname(name)
char *name;
{
char *s, *t, *u = NULL;
char one = 0;

   s = t = name;

   while (*t) {
      if (*t == '[')
			if (!one) {
         	*t = ' ';
				u = s;
				one = 1;
			} else if (one == 1) {
         	*t = '_';
				u = s;
				one++;
			} else {
         	*t = ' ';
				u = s;
			}
      else if (*t == ']')
         if (*(++t) == '\0') /* ok, it's finished */
            goto end;
         else if (*t == '[') /* multiple array */
            continue;
      *s++ = *t++;
   }
end:
   *s = '\0';
	/* last vectorized value :
	   it shall be skipped since I introduced it while driving the file. */
	if (u)
   	*u = '\0';
   return name;
}

/* decode a connector name :
   in modgen, 'cause we haven't the same conventions, a by me driven
   connector has the forms :
   xxx[?] -> xxx, where ? is a number, because I suffix all connectors that
                  way.
   xxx[??][?] -> xxx[??], because this was previously a vector. */

static char
	*checkconname(name)
char *name;
{
char *s, *t, *u = NULL;

   s = t = name;
   while (*t) {
      if (*t == '[') {
        	*t = ' ';
			u = s; /* last vector at that time */
      } else if (*t == ']') {
         if (*(++t) == '\0') /* ok, it's finished */
            goto end;
         else if (*t == '[') /* multiple array */
            continue;
		}
      *s++ = *t++;
   }
end:
   *s = '\0';
	/* last vectorized value :
	   it shall be skipped since I introduced it while driving the file. */
	if (u)
   	*u = '\0';
   return name;
}

/* decode an instance name :
   in modgen, 'cause we haven't the same conventions, a by me driven
   instance has the forms :
   xxx.corner
	since I arranged to put the corner in such a place that it makes it
   automatically good for mbk, I just forgot about the corner. */

static char
	*checkinsname(name)
char *name;
{
char *s = name;

	s = strrchr(name, '.');
   *s = '\0';
   return name;
}
