/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
enum {
    DICO_DAX_PAS_TERMINE,
    DICO_VTI_PAS_TERMINE,
    MANQUE_FIN_SUBCKT,
    MANQUE_DEBUT_SUBCKT,
    TRANSISTOR_EXT_SUBCKT,
    INSTANCE_EXT_SUBCKT,
    CAPACITE_EXT_SUBCKT,
    MANQUE_NOM_SUBCKT,
    MAUVAIS_NOM_SUBCKT,
    MAUVAIS_NOM_SUBCKT_MBK,
    MAUVAIS_CARDINAL,
    MAUVAIS_DICO,
    MAUVAIS_NOM_MBK,
    NOM_TROP_GRAND,
    MAUVAISE_DEF_CAPA,
    MAUVAISE_VALEUR,
    MAUVAISE_UNITE,
    MAUVAISE_DEF_INSTANCE,
    MAUVAISE_DEF_TRANS,
    MAUVAISE_DEF_TRANS_DRAIN,
    MAUVAISE_DEF_TRANS_SOURCE,
    MAUVAISE_DEF_TRANS_GRID,
    MAUVAISE_DEF_TRANS_BULK,
    MAUVAISE_DEF_TRANS_TYPE,
    MAUVAISE_DEF_TRANS_WL,
    MAUVAISE_DEF_TRANS_ASD,
    MAUVAISE_DEF_TRANS_PSD,
    MAUVAISE_DEF_TRANS_NRSD,
    DEUX_DICOS,
    INCOHERENCE,
    MAUVAIS_TRANS_TYPE,
    FIG_MERE_PAS_TROUVEE,
    MAUVAIS_INDEX_DICO,
    NOEUD_ZERO,
    FIG_CANCELLED,
    MAUVAISE_SYNT_ASGA
};

void mslError();
void mslWarning();
