/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 

/* ###--------------------------------------------------------------### */
/*									*/
/* file		: ppt106.h						*/
/* date		: Apr 22 1996						*/
/* version	: v106							*/
/* authors	: Pirouz BAZARGAN SABET					*/
/* description	: header for PPT library				*/
/*									*/
/* ###--------------------------------------------------------------### */

#ifndef PAT_PPTDEF
#define PAT_PPTDEF

	/* ###------------------------------------------------------### */
	/*    parser-driver defines					*/
	/* ###------------------------------------------------------### */

#define PAT_SIMU_RESULT		1
#define PAT_USER_PREDICT	0

	/* ###------------------------------------------------------### */
	/*    parser-driver functions					*/
	/* ###------------------------------------------------------### */

extern struct paseq  *pat_lodpaseq ();	/* parser			*/
extern struct paseq  *pat_prspat   ();	/* pat format parser		*/

extern int            pat_savpaseq ();	/* driver			*/
extern int            pat_drvpat   ();	/* pat format driver		*/

#endif
