/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 

/*  A Bison parser, made from fbl_bcomp.yac  */

#define FBL_Y_BISON 1  /* Identify Bison output.  */

#define	_AND	258
#define	Pragma	259
#define	_BEGIN	260
#define	_END	261
#define	_EQSym	262
#define	_EXIT	263
#define	_FILE	264
#define	_GESym	265
#define	_GTSym	266
#define	_IN	267
#define	_INOUT	268
#define	_LABEL	269
#define	_LESym	270
#define	_LINKAGE	271
#define	_LTSym	272
#define	_NAND	273
#define	_NESym	274
#define	_NEXT	275
#define	_NOR	276
#define	_NOT	277
#define	_NULL	278
#define	_OR	279
#define	_OUT	280
#define	_XOR	281
#define	ABS	282
#define	ACCESS	283
#define	AFTER	284
#define	ALIAS	285
#define	ALL	286
#define	ARCHITECTURE	287
#define	ARRAY	288
#define	ASSERT	289
#define	ATTRIBUTE	290
#define	AbstractLit	291
#define	Ampersand	292
#define	Apostrophe	293
#define	Arrow	294
#define	_BLOCK	295
#define	BODY	296
#define	BUFFER	297
#define	BUS	298
#define	Bar	299
#define	BasedInt	300
#define	BasedReal	301
#define	BitStringLit	302
#define	Box	303
#define	CASE	304
#define	COMPONENT	305
#define	CONFIGURATION	306
#define	CONSTANT	307
#define	CharacterLit	308
#define	Colon	309
#define	Comma	310
#define	DISCONNECT	311
#define	DOWNTO	312
#define	DecimalInt	313
#define	DecimalReal	314
#define	Dot	315
#define	DoubleStar	316
#define	ELSE	317
#define	ELSIF	318
#define	ENTITY	319
#define	ERROR	320
#define	FOR	321
#define	FUNCTION	322
#define	GENERATE	323
#define	GENERIC	324
#define	GUARDED	325
#define	IF	326
#define	IS	327
#define	Identifier	328
#define	LIBRARY	329
#define	LOOP	330
#define	LeftParen	331
#define	MAP	332
#define	MOD	333
#define	Minus	334
#define	NEW	335
#define	OF	336
#define	ON	337
#define	OPEN	338
#define	OTHERS	339
#define	PACKAGE	340
#define	PORT	341
#define	PROCEDURE	342
#define	PROCESS	343
#define	Plus	344
#define	RANGE	345
#define	RECORD	346
#define	REGISTER	347
#define	REM	348
#define	REPORT	349
#define	RETURN	350
#define	RightParen	351
#define	SELECT	352
#define	SEVERITY	353
#define	SIGNAL	354
#define	_STABLE	355
#define	SUBTYPE	356
#define	Semicolon	357
#define	Star	358
#define	StringLit	359
#define	THEN	360
#define	TO	361
#define	TRANSPORT	362
#define	FBHTYPE	363
#define	UNITS	364
#define	UNTIL	365
#define	USE	366
#define	VARIABLE	367
#define	VarAsgn	368
#define	WAIT	369
#define	WARNING	370
#define	WHEN	371
#define	WHILE	372
#define	WITH	373

#line 11 "fbl_bcomp.yac"

#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include <stdlib.h>

#include MUT_H
#include AUT_H
#include ABL_H
#include BDD_H
#include FVH_H

#include "fbl_utype.h"
#include "fbl_byacc.h"
#include "fbl_bedef.h"

static struct dct_entry *addent ();
static struct dct_recrd *addrcd ();
static struct dct_entry **initab ();
static void addtab ();
static int chktab ();
static void fretab ();
void *fbl_addstr ();
int fbl_chkdcl ();
struct ptype *reversetype();
struct choice_chain *order_choice();

#line 39 "fbl_bcomp.yac"
typedef union  {
	int		 valu;
	char		*text;
	struct ptype	*ptyp;
	struct fbpcs	proc;
        struct g_type dble;
        fbl_name  	name;   
	fbl_ablstr	list;
	struct fbtyp 	type;
	} FBL_Y_STYPE;

#ifndef FBL_Y_LTYPE
typedef
  struct fbl_y_ltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  fbl_y_ltype;

#define FBL_Y_LTYPE fbl_y_ltype
#endif

#include <stdio.h>

#ifndef __STDC__
#define const
#endif



#define	FBL_Y_FINAL		337
#define	FBL_Y_FLAG		-32768
#define	FBL_Y_NTBASE	119

#define FBL_Y_TRANSLATE(x) ((unsigned)(x) <= 373 ? fbl_y_translate[x] : 246)

static const char fbl_y_translate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
    66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
    76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
    86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
    96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
   106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
   116,   117,   118
};

#if FBL_Y_DEBUG != 0
static const short fbl_y_prhs[] = {     0,
     0,     1,     5,     6,    15,    18,    19,    21,    25,    28,
    32,    34,    36,    37,    39,    45,    49,    52,    53,    57,
    65,    67,    68,    70,    71,    73,    75,    77,    78,    79,
    93,    96,    98,    99,   102,   104,   106,   108,   110,   112,
   114,   117,   119,   127,   130,   131,   134,   142,   150,   152,
   153,   160,   162,   164,   167,   168,   175,   178,   180,   185,
   186,   190,   192,   194,   196,   198,   200,   207,   212,   216,
   220,   222,   225,   227,   229,   230,   232,   234,   235,   238,
   240,   243,   244,   248,   249,   252,   253,   254,   255,   256,
   270,   272,   273,   276,   278,   280,   282,   284,   285,   287,
   291,   294,   295,   299,   301,   302,   305,   307,   309,   311,
   313,   315,   317,   323,   328,   333,   335,   336,   337,   349,
   350,   351,   358,   359,   362,   363,   373,   374,   377,   378,
   384,   386,   387,   391,   394,   395,   399,   401,   403,   405,
   407,   408,   411,   412,   415,   417,   419,   421,   423,   425,
   427,   429,   433,   437,   441,   445,   447,   451,   455,   459,
   463,   465,   469,   471,   473,   477,   479,   481,   484,   486,
   488,   490,   492,   494,   496,   498,   500,   502,   504,   506,
   508,   512,   514,   516,   518,   520,   525,   532,   536,   538,
   539,   543,   544,   548,   549,   551,   552,   554,   556,   558,
   561,   563,   565,   567,   569
};

#endif

static const short fbl_y_rhs[] = {    -1,
   120,   121,   135,     0,     0,    64,   238,    72,   122,   128,
   245,   237,   244,     0,    64,     1,     0,     0,   124,     0,
    76,   126,   243,     0,    90,   126,     0,   242,   127,   242,
     0,   106,     0,    57,     0,     0,   129,     0,    86,    76,
   130,   243,   244,     0,    86,     1,   244,     0,   132,   131,
     0,     0,   131,   244,   132,     0,   133,   233,    54,   134,
   165,   123,   166,     0,     1,     0,     0,    99,     0,     0,
    12,     0,    25,     0,    13,     0,     0,     0,    32,    73,
    81,   238,    72,   136,   138,   137,     5,   167,   245,   237,
   244,     0,    32,     1,     0,   139,     0,     0,   139,   140,
     0,   146,     0,   145,     0,   147,     0,   151,     0,   142,
     0,   141,     0,     1,   244,     0,     4,     0,    52,    73,
    54,   165,   123,   143,   244,     0,   113,   226,     0,     0,
   113,   214,     0,   112,   233,    54,   165,   123,   144,   244,
     0,    99,   233,    54,   165,   123,   166,   244,     0,   148,
     0,     0,   108,    73,    72,   150,   149,   244,     0,   154,
     0,   158,     0,     1,   244,     0,     0,   101,    73,    72,
   153,   152,   244,     0,   165,   123,     0,   155,     0,    76,
   157,   156,   243,     0,     0,   156,    55,   157,     0,    73,
     0,    53,     0,   159,     0,   160,     0,   161,     0,    33,
    76,   162,   243,    81,   153,     0,    33,   163,    81,   153,
     0,   228,    90,    48,     0,    76,   164,   243,     0,   126,
     0,   228,   125,     0,   165,     0,   238,     0,     0,    43,
     0,   168,     0,     0,   168,   169,     0,   170,     0,     1,
   244,     0,     0,   240,   171,   173,     0,     0,   172,   173,
     0,     0,     0,     0,     0,    88,   174,   181,   175,   178,
     5,   176,   185,   177,   245,    88,   236,   244,     0,   179,
     0,     0,   179,   180,     0,   142,     0,   145,     0,   147,
     0,   151,     0,     0,   182,     0,    76,   183,    96,     0,
   228,   184,     0,     0,    55,   228,   184,     0,   186,     0,
     0,   186,   187,     0,   188,     0,   189,     0,   190,     0,
   192,     0,   198,     0,   206,     0,    34,   214,   210,   211,
   244,     0,   239,   113,   214,   244,     0,   239,    15,   203,
   244,     0,   214,     0,     0,     0,    71,   209,   105,   193,
   185,   194,   195,   197,   245,    71,   244,     0,     0,     0,
   195,    63,   209,   105,   196,   185,     0,     0,    62,   185,
     0,     0,    49,   214,   199,    72,   201,   200,   245,    49,
   244,     0,     0,   200,   201,     0,     0,   116,   204,    39,
   202,   185,     0,   191,     0,     0,   208,   205,   207,     0,
    23,   244,     0,     0,   207,    44,   208,     0,   226,     0,
    84,     0,   228,     0,   214,     0,     0,    94,   212,     0,
     0,    98,   213,     0,   104,     0,    65,     0,   115,     0,
   215,     0,   216,     0,   217,     0,   218,     0,   219,     3,
   219,     0,   215,     3,   219,     0,   219,    24,   219,     0,
   216,    24,   219,     0,   219,     0,   219,    18,   219,     0,
   219,    21,   219,     0,   219,    26,   219,     0,   218,    26,
   219,     0,   220,     0,   220,   225,   220,     0,   221,     0,
   222,     0,   221,    37,   222,     0,   223,     0,   224,     0,
    22,   224,     0,   226,     0,   227,     0,   228,     0,     7,
     0,    19,     0,    10,     0,    11,     0,    15,     0,    17,
     0,    53,     0,   104,     0,    47,     0,    76,   214,    96,
     0,   238,     0,   229,     0,   230,     0,   231,     0,   238,
    76,   242,   243,     0,   238,    76,   242,   127,   242,   243,
     0,   238,    38,   232,     0,   100,     0,     0,    73,   234,
   235,     0,     0,   235,    55,    73,     0,     0,   241,     0,
     0,   238,     0,    73,     0,   228,     0,   241,    54,     0,
    73,     0,    36,     0,    96,     0,   102,     0,     6,     0
};

#if FBL_Y_DEBUG != 0
static const short fbl_y_rline[] = { 0,
   234,   256,   349,   381,   388,   394,   400,   405,   412,   418,
   436,   438,   443,   444,   448,   453,   460,   465,   466,   472,
   512,   529,   530,   534,   536,   538,   540,   545,   555,   574,
   582,   588,   592,   593,   598,   599,   600,   601,   602,   603,
   604,   610,   623,   643,   649,   651,   657,   701,   751,   755,
   770,   773,   775,   777,   782,   797,   800,   816,   822,   874,
   875,   882,   884,   890,   897,   899,   904,   918,   929,   945,
   952,   954,   959,   965,   980,   982,   987,   991,   992,   997,
   998,  1004,  1009,  1009,  1013,  1016,  1019,  1023,  1031,  1040,
  1049,  1054,  1055,  1063,  1064,  1065,  1066,  1070,  1071,  1075,
  1081,  1090,  1091,  1101,  1105,  1106,  1111,  1112,  1113,  1114,
  1115,  1116,  1121,  1133,  1150,  1271,  1276,  1287,  1298,  1305,
  1306,  1318,  1332,  1337,  1351,  1371,  1417,  1418,  1424,  1431,
  1449,  1454,  1462,  1466,  1471,  1472,  1483,  1488,  1494,  1579,
  1584,  1586,  1592,  1594,  1600,  1605,  1607,  1612,  1614,  1616,
  1618,  1623,  1627,  1634,  1638,  1645,  1647,  1651,  1658,  1662,
  1669,  1671,  1678,  1683,  1685,  1692,  1697,  1699,  1705,  1713,
  1715,  1825,  1827,  1829,  1831,  1833,  1835,  1840,  1842,  1844,
  1849,  1856,  1863,  1865,  1867,  1872,  1885,  1904,  1966,  1970,
  1973,  1976,  1977,  1984,  1986,  1991,  1993,  1998,  2003,  2008,
  2017,  2022,  2027,  2032,  2037
};

static const char * const fbl_y_tname[] = {   "$","error","$illegal.","_AND","Pragma",
"_BEGIN","_END","_EQSym","_EXIT","_FILE","_GESym","_GTSym","_IN","_INOUT","_LABEL",
"_LESym","_LINKAGE","_LTSym","_NAND","_NESym","_NEXT","_NOR","_NOT","_NULL",
"_OR","_OUT","_XOR","ABS","ACCESS","AFTER","ALIAS","ALL","ARCHITECTURE","ARRAY",
"ASSERT","ATTRIBUTE","AbstractLit","Ampersand","Apostrophe","Arrow","_BLOCK",
"BODY","BUFFER","BUS","Bar","BasedInt","BasedReal","BitStringLit","Box","CASE",
"COMPONENT","CONFIGURATION","CONSTANT","CharacterLit","Colon","Comma","DISCONNECT",
"DOWNTO","DecimalInt","DecimalReal","Dot","DoubleStar","ELSE","ELSIF","ENTITY",
"ERROR","FOR","FUNCTION","GENERATE","GENERIC","GUARDED","IF","IS","Identifier",
"LIBRARY","LOOP","LeftParen","MAP","MOD","Minus","NEW","OF","ON","OPEN","OTHERS",
"PACKAGE","PORT","PROCEDURE","PROCESS","Plus","RANGE","RECORD","REGISTER","REM",
"REPORT","RETURN","RightParen","SELECT","SEVERITY","SIGNAL","_STABLE","SUBTYPE",
"Semicolon","Star","StringLit","THEN","TO","TRANSPORT","FBHTYPE","UNITS","UNTIL",
"USE","VARIABLE","VarAsgn","WAIT","WARNING","WHEN","WHILE","WITH","design_file",
"@1","entity_declaration","@2",".constraint.","constraint","range_constraint",
"range","direction",".port_clause.","port_clause","formal_port_list","...formal_port_element..",
"formal_port_element",".SIGNAL.",".mode.","architecture_body","@3","@4","architecture_declarative_part",
"..block_declarative_item..","block_declarative_item","pragma_declaration","constant_declaration",
"constant_VarAsgn__expression",".VarAsgn__expression.","variable_declaration",
"signal_declaration","type_declaration","full_type_declaration","@5","type_definition",
"subtype_declaration","@6","subtype_indication","scalar_type_definition","enumeration_type_definition",
"...enumeration_literal..","enumeration_literal","composite_type_definition",
"array_type_definition","unconstrained_array_definition","constrained_array_definition",
"index_subtype_definition","index_constraint","discrete_range","type_mark",".signal_kind.",
"architecture_statement_part","..concurrent_statement..","concurrent_statement",
"process_statement","@7","@8","unlabeled_process_statement","@9","@10","@11",
"@12","process_declarative_part","..process_declarative_item..","process_declarative_item",
".sensitivity_list.","sensitivity_list","signal_list","...name..","sequence_of_statements",
"..sequential_statement..","sequential_statement","assertion_statement","variable_assignment_statement",
"signal_assignment_statement","waveform_element","if_statement","@13","@14",
"..ELSIF__THEN__seq_of_stmts..","@15",".ELSE__seq_of_stmts.","case_statement",
"@16","..case_statement_alternative..","case_statement_alternative","@17","waveform",
"choices","@18","null_statement","..Bar__choice..","choice","condition",".REPORT__expression.",
".SEVERITY__expression.","report__message","severity__message","expression",
"relation..AND__relation..","relation..OR__relation..","relation.NAND_NOR__relation.",
"relation..XOR__relation..","relation","simple_expression",".sign.term..add_op__term..",
"term","factor","primary","relational_operator","literal","aggregate","name",
"indexed_name","slice_name","attribute_name","attribute_designator","identifier_list",
"@19","...identifier..",".label.",".simple_name.","simple_name","target","a_label",
"label","abstractlit","RightParen_ERR","Semicolon_ERR","END_ERR",""
};
#endif

static const short fbl_y_r1[] = {     0,
   120,   119,   122,   121,   121,   123,   123,   124,   125,   126,
   127,   127,   128,   128,   129,   129,   130,   131,   131,   132,
   132,   133,   133,   134,   134,   134,   134,   136,   137,   135,
   135,   138,   139,   139,   140,   140,   140,   140,   140,   140,
   140,   141,   142,   143,   144,   144,   145,   146,   147,   149,
   148,   150,   150,   150,   152,   151,   153,   154,   155,   156,
   156,   157,   157,   158,   159,   159,   160,   161,   162,   163,
   164,   164,   164,   165,   166,   166,   167,   168,   168,   169,
   169,   171,   170,   172,   170,   174,   175,   176,   177,   173,
   178,   179,   179,   180,   180,   180,   180,   181,   181,   182,
   183,   184,   184,   185,   186,   186,   187,   187,   187,   187,
   187,   187,   188,   189,   190,   191,   193,   194,   192,   195,
   196,   195,   197,   197,   199,   198,   200,   200,   202,   201,
   203,   205,   204,   206,   207,   207,   208,   208,   208,   209,
   210,   210,   211,   211,   212,   213,   213,   214,   214,   214,
   214,   215,   215,   216,   216,   217,   217,   217,   218,   218,
   219,   219,   220,   221,   221,   222,   223,   223,   224,   224,
   224,   225,   225,   225,   225,   225,   225,   226,   226,   226,
   227,   228,   228,   228,   228,   229,   230,   231,   232,   234,
   233,   235,   235,   236,   236,   237,   237,   238,   239,   240,
   241,   242,   243,   244,   245
};

static const short fbl_y_r2[] = {     0,
     0,     3,     0,     8,     2,     0,     1,     3,     2,     3,
     1,     1,     0,     1,     5,     3,     2,     0,     3,     7,
     1,     0,     1,     0,     1,     1,     1,     0,     0,    13,
     2,     1,     0,     2,     1,     1,     1,     1,     1,     1,
     2,     1,     7,     2,     0,     2,     7,     7,     1,     0,
     6,     1,     1,     2,     0,     6,     2,     1,     4,     0,
     3,     1,     1,     1,     1,     1,     6,     4,     3,     3,
     1,     2,     1,     1,     0,     1,     1,     0,     2,     1,
     2,     0,     3,     0,     2,     0,     0,     0,     0,    13,
     1,     0,     2,     1,     1,     1,     1,     0,     1,     3,
     2,     0,     3,     1,     0,     2,     1,     1,     1,     1,
     1,     1,     5,     4,     4,     1,     0,     0,    11,     0,
     0,     6,     0,     2,     0,     9,     0,     2,     0,     5,
     1,     0,     3,     2,     0,     3,     1,     1,     1,     1,
     0,     2,     0,     2,     1,     1,     1,     1,     1,     1,
     1,     3,     3,     3,     3,     1,     3,     3,     3,     3,
     1,     3,     1,     1,     3,     1,     1,     2,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     3,     1,     1,     1,     1,     4,     6,     3,     1,     0,
     3,     0,     3,     0,     1,     0,     1,     1,     1,     2,
     1,     1,     1,     1,     1
};

static const short fbl_y_defact[] = {     1,
     0,     0,     0,     5,   198,     0,     0,     2,     3,    31,
     0,    13,     0,     0,     0,    14,     0,     0,     0,   205,
   196,    28,   204,    16,    21,    23,     0,    18,     0,     0,
   197,    33,   203,     0,    17,   190,     0,     4,    29,     0,
    15,     0,   192,    24,     0,     0,    42,     0,     0,     0,
     0,     0,    34,    40,    39,    36,    35,    37,    49,    38,
    19,   191,    25,    27,    26,     0,    78,    41,     0,     0,
     0,     0,     0,     0,     6,    74,     0,     0,     0,     0,
     0,     0,     0,   193,     0,    75,     7,   196,     0,   201,
    79,    80,     0,    82,     0,     6,     6,    55,     6,     0,
     0,     0,    50,    52,    58,    53,    64,    65,    66,     6,
   202,     0,     0,    76,    20,     0,    81,    86,    85,     0,
   200,     0,    75,     0,    57,    54,     0,     0,    63,    62,
    60,     0,    45,     8,    12,    11,     0,    30,    98,    83,
     0,     0,     0,    56,    71,     0,     0,    73,     0,   183,
   184,   185,    74,     0,     0,    51,     0,     0,    10,     0,
    87,    99,   180,   178,   179,    44,    43,    48,     0,    70,
     0,    72,     0,     0,    68,     0,    59,     0,     0,    46,
   148,   149,   150,   151,   156,   161,   163,   164,   166,   167,
   169,   170,   171,   182,    47,     0,   102,    92,     0,    69,
     9,   189,   188,     0,    61,   168,     0,     0,     0,     0,
     0,     0,     0,     0,     0,   172,   174,   175,   176,   177,
   173,     0,     0,   100,     0,   101,     0,    91,    67,     0,
   186,   181,   153,   155,   160,   152,   157,   158,   154,   159,
   162,   165,   102,    88,    94,    95,    96,    97,    93,     0,
   103,   105,   187,    89,   104,     0,     0,     0,     0,     0,
   106,   107,   108,   109,   110,   111,   112,   199,     0,     0,
   134,   141,   125,     0,   140,     0,     0,   194,     0,   143,
     0,   117,   131,     0,   116,     0,     0,   195,   145,   142,
     0,     0,     0,   105,   115,   114,    90,   146,   147,   144,
   113,     0,   127,   118,   138,     0,   132,   137,   139,     0,
   120,   129,   135,   128,     0,   123,   105,   133,     0,   105,
     0,     0,   130,     0,   126,   124,     0,     0,   136,   121,
     0,   105,   119,   122,     0,     0,     0
};

static const short fbl_y_defgoto[] = {   335,
     1,     3,    12,    86,    87,   172,   112,   137,    15,    16,
    27,    35,    28,    29,    66,     8,    32,    45,    39,    40,
    53,    54,    55,   142,   158,    56,    57,    58,    59,   132,
   103,    60,   124,    98,   104,   105,   155,   131,   106,   107,
   108,   109,   146,   128,   147,    99,   115,    77,    78,    91,
    92,   120,    93,   119,   139,   198,   252,   256,   227,   228,
   249,   161,   162,   196,   226,   254,   255,   261,   262,   263,
   264,   283,   265,   294,   311,   316,   332,   322,   266,   281,
   310,   303,   317,   284,   306,   313,   267,   318,   307,   274,
   280,   292,   290,   300,   275,   181,   182,   183,   184,   185,
   186,   187,   188,   189,   190,   222,   191,   192,   193,   150,
   151,   152,   203,    37,    43,    62,   287,    30,   194,   269,
    94,    95,   113,    34,    24,    21
};

static const short fbl_y_pact[] = {-32768,
   -24,    18,    15,-32768,-32768,   -38,    27,-32768,-32768,-32768,
   -21,   -43,   -16,    16,    56,-32768,    60,    34,     9,-32768,
   -16,-32768,-32768,-32768,-32768,-32768,    43,-32768,    68,    34,
-32768,-32768,-32768,    34,    34,-32768,    89,-32768,-32768,    21,
-32768,     9,-32768,    42,   144,    34,-32768,    79,    68,    80,
    82,    68,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,   101,-32768,-32768,-32768,   -16,-32768,-32768,   107,   108,
    91,    92,   112,    96,    94,-32768,    56,    17,   -16,   -16,
   -16,    11,   -16,-32768,   136,   132,-32768,   -16,    34,-32768,
-32768,-32768,    88,-32768,   123,    94,    94,-32768,    94,    34,
   103,   -22,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    94,
-32768,    43,    36,-32768,-32768,    34,-32768,-32768,-32768,    88,
-32768,    70,   132,    34,-32768,-32768,    87,   100,-32768,-32768,
-32768,    34,    71,-32768,-32768,-32768,   136,-32768,   111,-32768,
    -1,    34,    34,-32768,-32768,    43,    43,-32768,    98,-32768,
-32768,-32768,   -18,   -16,   -25,-32768,    -8,    34,-32768,   -16,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   110,-32768,
    13,-32768,    93,   136,-32768,   -22,-32768,   -20,    -8,-32768,
   192,   172,-32768,   171,   147,   175,   161,-32768,-32768,-32768,
-32768,-32768,-32768,    81,-32768,   113,   155,-32768,   -16,-32768,
-32768,-32768,-32768,    19,-32768,-32768,   115,    -8,    -8,    -8,
    -8,    -8,    -8,    -8,    -8,-32768,-32768,-32768,-32768,-32768,
-32768,    -8,    -8,-32768,   -16,-32768,   207,   -23,-32768,   136,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,   155,-32768,-32768,-32768,-32768,-32768,-32768,    43,
-32768,-32768,-32768,-32768,    75,    56,    34,    -8,    -8,    -8,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    -6,   125,
-32768,   120,-32768,   114,-32768,    -8,    -8,   142,   116,   118,
   145,-32768,-32768,    34,-32768,    34,    34,-32768,-32768,-32768,
   -41,    34,   102,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,    22,-32768,-32768,-32768,   182,-32768,-32768,-32768,     2,
-32768,-32768,-32768,-32768,   173,     1,-32768,   179,    34,-32768,
    -8,    56,-32768,    22,-32768,-32768,   119,   154,-32768,-32768,
    34,-32768,-32768,-32768,   226,   228,-32768
};

static const short fbl_y_pgoto[] = {-32768,
-32768,-32768,-32768,    41,-32768,-32768,     3,    25,-32768,-32768,
-32768,-32768,   188,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,     4,-32768,-32768,     5,-32768,     7,-32768,-32768,
-32768,     8,-32768,  -122,-32768,-32768,-32768,    55,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,    31,   117,-32768,-32768,-32768,
-32768,-32768,-32768,   121,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,    -5,  -173,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,   -73,-32768,-32768,-32768,-32768,-32768,-32768,   -85,   -79,
-32768,-32768,-32768,-32768,  -142,-32768,-32768,-32768,-32768,    -7,
    23,-32768,    20,-32768,    66,-32768,  -135,-32768,  -124,-32768,
-32768,-32768,-32768,   -14,-32768,-32768,-32768,   159,     0,-32768,
-32768,   -29,  -126,  -105,   -30,   -76
};


#define	FBL_Y_LAST		301


static const short fbl_y_table[] = {    38,
    88,     6,   149,    41,    42,   166,   134,    20,   276,    25,
   159,   100,    17,   178,   180,    68,    18,    89,     4,   173,
    31,    46,   -77,   298,    47,   -32,   163,    10,    48,   176,
   129,   175,   164,     9,    70,   197,   207,    73,   163,     2,
   169,   170,    14,   101,   164,   163,     7,   204,   111,   177,
   130,   164,     5,    63,    64,   179,     5,   174,   117,    13,
   200,    20,   320,   321,     5,    76,    65,   179,   163,   126,
    33,  -182,    48,   299,   164,   135,   229,    50,    76,    76,
    76,   -22,    76,   165,    51,   138,   102,    31,    52,    90,
     5,    19,   135,   144,     5,   165,    75,   257,   231,    11,
   243,   156,   165,   250,   -84,   305,   277,    26,   258,    96,
    97,   167,   168,   110,    33,   272,   273,   302,   173,    49,
   304,    50,   111,   259,   136,   165,   153,   195,    51,   145,
   268,    22,    52,   285,   286,    23,   122,   123,    33,   125,
    36,   136,    44,   323,   253,   260,   326,     5,    67,   211,
   133,    69,    71,    76,    72,    74,   174,   148,   334,     5,
    79,    80,    81,    82,   212,    83,   308,   213,    84,    85,
   214,   111,   215,   201,   114,   118,   121,   309,   127,   270,
   154,   216,   141,   157,   217,   218,   160,   171,   308,   219,
   199,   220,   202,   221,   208,   209,   210,   223,    76,   309,
   233,   234,   235,   236,   237,   238,   239,   240,   224,   225,
   232,   244,   278,   279,    90,   291,   293,   302,   282,   289,
   312,   319,   324,   330,   331,   336,   271,   337,   230,    61,
   205,   245,   246,   315,   247,   248,   314,   251,   329,   143,
   140,   327,   242,   206,   241,   328,   116,     0,   288,     0,
     0,     0,     0,   295,     0,   296,   297,     0,     0,     0,
     0,   301,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   325,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   333
};

static const short fbl_y_check[] = {    30,
    77,     2,   127,    34,    35,   141,   112,     6,    15,     1,
   137,     1,    13,    22,   157,    46,     1,     1,     1,    38,
    21,     1,     6,    65,     4,     5,    47,     1,    52,    55,
    53,   154,    53,    72,    49,   160,   179,    52,    47,    64,
   146,   147,    86,    33,    53,    47,    32,   174,    36,   155,
    73,    53,    73,    12,    13,    76,    73,    76,    89,    81,
    48,     6,    62,    63,    73,    66,    25,    76,    47,   100,
    96,    90,    52,   115,    53,    57,   199,   101,    79,    80,
    81,    73,    83,   104,   108,   116,    76,    88,   112,    73,
    73,    76,    57,   124,    73,   104,    66,    23,   204,    73,
   225,   132,   104,   230,    88,    84,   113,    99,    34,    79,
    80,   142,   143,    83,    96,   258,   259,   116,    38,    99,
   294,   101,    36,    49,   106,   104,   127,   158,   108,   127,
   255,    72,   112,   276,   277,   102,    96,    97,    96,    99,
    73,   106,    54,   317,   250,    71,   320,    73,     5,     3,
   110,    73,    73,   154,    73,    55,    76,   127,   332,    73,
    54,    54,    72,    72,    18,    54,   302,    21,    73,    76,
    24,    36,    26,   171,    43,    88,    54,   302,    76,   256,
    81,     7,   113,   113,    10,    11,    76,    90,   324,    15,
    81,    17,   100,    19,     3,    24,    26,    37,   199,   324,
   208,   209,   210,   211,   212,   213,   214,   215,    96,    55,
    96,     5,    88,    94,    73,    98,    72,   116,   105,   104,
    39,    49,    44,   105,    71,     0,   257,     0,   204,    42,
   176,   228,   228,   310,   228,   228,   310,   243,   324,   123,
   120,   321,   223,   178,   222,   322,    88,    -1,   278,    -1,
    -1,    -1,    -1,   284,    -1,   286,   287,    -1,    -1,    -1,
    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
   331
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/labo/gnu/lib/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Bob Corbett and Richard Stallman

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */


#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define fbl_y_errok		(fbl_y_errstatus = 0)
#define fbl_y_clearin	(fbl_y_char = FBL_Y_EMPTY)
#define FBL_Y_EMPTY		-2
#define FBL_Y_EOF		0
#define FBL_Y_ACCEPT	return(0)
#define FBL_Y_ABORT 	return(1)
#define FBL_Y_ERROR		goto fbl_y_errlab1
/* Like FBL_Y_ERROR except do call fbl_y_error.
   This remains here temporarily to ease the
   transition to the new meaning of FBL_Y_ERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define FBL_Y_FAIL		goto fbl_y_errlab
#define FBL_Y_RECOVERING()  (!!fbl_y_errstatus)
#define FBL_Y_BACKUP(token, value) \
do								\
  if (fbl_y_char == FBL_Y_EMPTY && fbl_y_len == 1)				\
    { fbl_y_char = (token), fbl_y_lval = (value);			\
      fbl_y_char1 = FBL_Y_TRANSLATE (fbl_y_char);				\
      FBL_Y_POPSTACK;						\
      goto fbl_y_backup;						\
    }								\
  else								\
    { fbl_y_error ("syntax error: cannot back up"); FBL_Y_ERROR; }	\
while (0)

#define FBL_Y_TERROR	1
#define FBL_Y_ERRCODE	256

#ifndef FBL_Y_PURE
#define FBL_Y_LEX		fbl_y_lex()
#endif

#ifdef FBL_Y_PURE
#ifdef FBL_Y_LSP_NEEDED
#define FBL_Y_LEX		fbl_y_lex(&fbl_y_lval, &fbl_y_lloc)
#else
#define FBL_Y_LEX		fbl_y_lex(&fbl_y_lval)
#endif
#endif

/* If nonreentrant, generate the variables here */

#ifndef FBL_Y_PURE

int	fbl_y_char;			/*  the lookahead symbol		*/
FBL_Y_STYPE	fbl_y_lval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef FBL_Y_LSP_NEEDED
FBL_Y_LTYPE fbl_y_lloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int fbl_y_nerrs;			/*  number of parse errors so far       */
#endif  /* not FBL_Y_PURE */

#if FBL_Y_DEBUG != 0
int fbl_y_debug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  FBL_Y_INITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	FBL_Y_INITDEPTH
#define FBL_Y_INITDEPTH 200
#endif

/*  FBL_Y_MAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if FBL_Y_MAXDEPTH == 0
#undef FBL_Y_MAXDEPTH
#endif

#ifndef FBL_Y_MAXDEPTH
#define FBL_Y_MAXDEPTH 10000
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __fbl_y__bcopy(FROM,TO,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__fbl_y__bcopy (from, to, count)
     char *from;
     char *to;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__fbl_y__bcopy (char *from, char *to, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 169 "/labo/gnu/lib/bison.simple"
int
fbl_y_parse()
{
  register int fbl_y_state;
  register int fbl_y_n;
  register short *fbl_y_ssp;
  register FBL_Y_STYPE *fbl_y_vsp;
  int fbl_y_errstatus;	/*  number of tokens to shift before error messages enabled */
  int fbl_y_char1;		/*  lookahead token as an internal (translated) token number */

  short	fbl_y_ssa[FBL_Y_INITDEPTH];	/*  the state stack			*/
  FBL_Y_STYPE fbl_y_vsa[FBL_Y_INITDEPTH];	/*  the semantic value stack		*/

  short *fbl_y_ss = fbl_y_ssa;		/*  refer to the stacks thru separate pointers */
  FBL_Y_STYPE *fbl_y_vs = fbl_y_vsa;	/*  to allow fbl_y_overflow to reallocate them elsewhere */

#ifdef FBL_Y_LSP_NEEDED
  FBL_Y_LTYPE fbl_y_lsa[FBL_Y_INITDEPTH];	/*  the location stack			*/
  FBL_Y_LTYPE *fbl_y_ls = fbl_y_lsa;
  FBL_Y_LTYPE *fbl_y_lsp;

#define FBL_Y_POPSTACK   (fbl_y_vsp--, fbl_y_ssp--, fbl_y_lsp--)
#else
#define FBL_Y_POPSTACK   (fbl_y_vsp--, fbl_y_ssp--)
#endif

  int fbl_y_stacksize = FBL_Y_INITDEPTH;

#ifdef FBL_Y_PURE
  int fbl_y_char;
  FBL_Y_STYPE fbl_y_lval;
  int fbl_y_nerrs;
#ifdef FBL_Y_LSP_NEEDED
  FBL_Y_LTYPE fbl_y_lloc;
#endif
#endif

  FBL_Y_STYPE fbl_y_val;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int fbl_y_len;

#if FBL_Y_DEBUG != 0
  if (fbl_y_debug)
    fprintf(stderr, "Starting parse\n");
#endif

  fbl_y_state = 0;
  fbl_y_errstatus = 0;
  fbl_y_nerrs = 0;
  fbl_y_char = FBL_Y_EMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  fbl_y_ssp = fbl_y_ss - 1;
  fbl_y_vsp = fbl_y_vs;
#ifdef FBL_Y_LSP_NEEDED
  fbl_y_lsp = fbl_y_ls;
#endif

/* Push a new state, which is found in  fbl_y_state  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
fbl_y_newstate:

  *++fbl_y_ssp = fbl_y_state;

  if (fbl_y_ssp >= fbl_y_ss + fbl_y_stacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      FBL_Y_STYPE *fbl_y_vs1 = fbl_y_vs;
      short *fbl_y_ss1 = fbl_y_ss;
#ifdef FBL_Y_LSP_NEEDED
      FBL_Y_LTYPE *fbl_y_ls1 = fbl_y_ls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = fbl_y_ssp - fbl_y_ss + 1;

#ifdef fbl_y_overflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
      fbl_y_overflow("parser stack overflow",
		 &fbl_y_ss1, size * sizeof (*fbl_y_ssp),
		 &fbl_y_vs1, size * sizeof (*fbl_y_vsp),
#ifdef FBL_Y_LSP_NEEDED
		 &fbl_y_ls1, size * sizeof (*fbl_y_lsp),
#endif
		 &fbl_y_stacksize);

      fbl_y_ss = fbl_y_ss1; fbl_y_vs = fbl_y_vs1;
#ifdef FBL_Y_LSP_NEEDED
      fbl_y_ls = fbl_y_ls1;
#endif
#else /* no fbl_y_overflow */
      /* Extend the stack our own way.  */
      if (fbl_y_stacksize >= FBL_Y_MAXDEPTH)
	{
	  fbl_y_error("parser stack overflow");
	  return 2;
	}
      fbl_y_stacksize *= 2;
      if (fbl_y_stacksize > FBL_Y_MAXDEPTH)
	fbl_y_stacksize = FBL_Y_MAXDEPTH;
      fbl_y_ss = (short *) alloca (fbl_y_stacksize * sizeof (*fbl_y_ssp));
      __fbl_y__bcopy ((char *)fbl_y_ss1, (char *)fbl_y_ss, size * sizeof (*fbl_y_ssp));
      fbl_y_vs = (FBL_Y_STYPE *) alloca (fbl_y_stacksize * sizeof (*fbl_y_vsp));
      __fbl_y__bcopy ((char *)fbl_y_vs1, (char *)fbl_y_vs, size * sizeof (*fbl_y_vsp));
#ifdef FBL_Y_LSP_NEEDED
      fbl_y_ls = (FBL_Y_LTYPE *) alloca (fbl_y_stacksize * sizeof (*fbl_y_lsp));
      __fbl_y__bcopy ((char *)fbl_y_ls1, (char *)fbl_y_ls, size * sizeof (*fbl_y_lsp));
#endif
#endif /* no fbl_y_overflow */

      fbl_y_ssp = fbl_y_ss + size - 1;
      fbl_y_vsp = fbl_y_vs + size - 1;
#ifdef FBL_Y_LSP_NEEDED
      fbl_y_lsp = fbl_y_ls + size - 1;
#endif

#if FBL_Y_DEBUG != 0
      if (fbl_y_debug)
	fprintf(stderr, "Stack size increased to %d\n", fbl_y_stacksize);
#endif

      if (fbl_y_ssp >= fbl_y_ss + fbl_y_stacksize - 1)
	FBL_Y_ABORT;
    }

#if FBL_Y_DEBUG != 0
  if (fbl_y_debug)
    fprintf(stderr, "Entering state %d\n", fbl_y_state);
#endif

  goto fbl_y_backup;
 fbl_y_backup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* fbl_y_resume: */

  /* First try to decide what to do without reference to lookahead token.  */

  fbl_y_n = fbl_y_pact[fbl_y_state];
  if (fbl_y_n == FBL_Y_FLAG)
    goto fbl_y_default;

  /* Not known => get a lookahead token if don't already have one.  */

  /* fbl_y_char is either FBL_Y_EMPTY or FBL_Y_EOF
     or a valid token in external form.  */

  if (fbl_y_char == FBL_Y_EMPTY)
    {
#if FBL_Y_DEBUG != 0
      if (fbl_y_debug)
	fprintf(stderr, "Reading a token: ");
#endif
      fbl_y_char = FBL_Y_LEX;
    }

  /* Convert token to internal form (in fbl_y_char1) for indexing tables with */

  if (fbl_y_char <= 0)		/* This means end of input. */
    {
      fbl_y_char1 = 0;
      fbl_y_char = FBL_Y_EOF;		/* Don't call FBL_Y_LEX any more */

#if FBL_Y_DEBUG != 0
      if (fbl_y_debug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      fbl_y_char1 = FBL_Y_TRANSLATE(fbl_y_char);

#if FBL_Y_DEBUG != 0
      if (fbl_y_debug)
	{
	  fprintf (stderr, "Next token is %d (%s", fbl_y_char, fbl_y_tname[fbl_y_char1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef FBL_Y_PRINT
	  FBL_Y_PRINT (stderr, fbl_y_char, fbl_y_lval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  fbl_y_n += fbl_y_char1;
  if (fbl_y_n < 0 || fbl_y_n > FBL_Y_LAST || fbl_y_check[fbl_y_n] != fbl_y_char1)
    goto fbl_y_default;

  fbl_y_n = fbl_y_table[fbl_y_n];

  /* fbl_y_n is what to do for this token type in this state.
     Negative => reduce, -fbl_y_n is rule number.
     Positive => shift, fbl_y_n is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (fbl_y_n < 0)
    {
      if (fbl_y_n == FBL_Y_FLAG)
	goto fbl_y_errlab;
      fbl_y_n = -fbl_y_n;
      goto fbl_y_reduce;
    }
  else if (fbl_y_n == 0)
    goto fbl_y_errlab;

  if (fbl_y_n == FBL_Y_FINAL)
    FBL_Y_ACCEPT;

  /* Shift the lookahead token.  */

#if FBL_Y_DEBUG != 0
  if (fbl_y_debug)
    fprintf(stderr, "Shifting token %d (%s), ", fbl_y_char, fbl_y_tname[fbl_y_char1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (fbl_y_char != FBL_Y_EOF)
    fbl_y_char = FBL_Y_EMPTY;

  *++fbl_y_vsp = fbl_y_lval;
#ifdef FBL_Y_LSP_NEEDED
  *++fbl_y_lsp = fbl_y_lloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (fbl_y_errstatus) fbl_y_errstatus--;

  fbl_y_state = fbl_y_n;
  goto fbl_y_newstate;

/* Do the default action for the current state.  */
fbl_y_default:

  fbl_y_n = fbl_y_defact[fbl_y_state];
  if (fbl_y_n == 0)
    goto fbl_y_errlab;

/* Do a reduction.  fbl_y_n is the number of a rule to reduce with.  */
fbl_y_reduce:
  fbl_y_len = fbl_y_r2[fbl_y_n];
  fbl_y_val = fbl_y_vsp[1-fbl_y_len]; /* implement default value of the action */

#if FBL_Y_DEBUG != 0
  if (fbl_y_debug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       fbl_y_n, fbl_y_rline[fbl_y_n]);

      /* Print the symbols being reduced, and their result.  */
      for (i = fbl_y_prhs[fbl_y_n]; fbl_y_rhs[i] > 0; i++)
	fprintf (stderr, "%s ", fbl_y_tname[fbl_y_rhs[i]]);
      fprintf (stderr, " -> %s\n", fbl_y_tname[fbl_y_r1[fbl_y_n]]);
    }
#endif


  switch (fbl_y_n) {

case 1:
#line 235 "fbl_bcomp.yac"
{  
                /* ###----------------------------------------------###  */
                /*    Initializations					 */
                /* ###----------------------------------------------###  */
                FBL_NM1LST = 0;
                FBL_GRDLST = 0;
                FBL_CNDLST = 0;
                FBL_VALLST = 0;

                hshtab     = initab ();

                FBL_ERRFLG  = 0;
                FBL_LINNUM  = 1;
                FBL_NUMPTP  = 0;
                FBL_HEADFIG = (fbfig_list *)0;
		
		FBL_MODNAM  = 0;
                FBL_BEFPNT  = fbh_addfbfig (FBL_HEADFIG,0);
                FBL_HEADFIG = FBL_BEFPNT;
                ;
    break;}
case 2:
#line 257 "fbl_bcomp.yac"
{
                struct fbaux *fbaux_pnt;
                struct fbbus *fbbus_pnt;
                struct fbreg *fbreg_pnt;
 
                /* ###----------------------------------------------### */
                /*    Checking that each output have at
least one driver*/
                /* ###----------------------------------------------### */
		/*printf("liste des types\n");
                fbtyp_pnt = FBL_BEFPNT->BETYP;
                while (fbtyp_pnt != 0)
                  {
		   printf("name : %s [%d]\n",fbtyp_pnt->NAME,j);
		   printf("class : %c \n",fbtyp_pnt->CLASS);
		   printf("BASE : %d \n",fbtyp_pnt->BASE);
		   printf("INDEX : %d \n",fbtyp_pnt->INDEX);
		   printf("TYPE : %d \n",chktab (hshtab,fbtyp_pnt->NAME,FBL_MODNAM,FBL_TYPDFN) );
		   if(fbtyp_pnt->VALUE != 0)
		   for ( i= 0; i< fbtyp_pnt->SIZE ; i++)
		   	  printf("VAL : %s \n",*(fbtyp_pnt->VALUE + i));
                  fbtyp_pnt = fbtyp_pnt->NEXT;
				  j++;
                  }*/
	
                /*fbout_pnt = FBL_BEFPNT->BEOUT;
                while (fbout_pnt != 0)
                  {
		   printf("%s \n",fbout_pnt->NAME);
                  if (fbout_pnt->ABL == 0)
                    fbl_error (40,fbout_pnt->NAME);
                  fbout_pnt = fbout_pnt->NEXT;
                  }*/

           /*     fbrin_pnt = FBL_BEFPNT->BERIN;
                while (fbout_pnt != 0)
                  {
		   printf("%s \n",fbrin_pnt->NAME);
                  if (fbout_pnt->ABL == 0)
                    fbl_error (40,fbrin_pnt->NAME);
                  fbrin_pnt = fbrin_pnt->NEXT;
                  }*/
 
                /*fbpcs_pnt = FBL_BEFPNT->BEPCS;
                while (fbpcs_pnt != 0)
                  {
		  struct fbpgm *fbpgm;
		  struct ptype *fbtyp;
		   printf("label : %s \n",fbpcs_pnt->LABEL);
			fbpgm = FBL_BEFPNT->BEPGM;
			while(fbpgm)
			{
			  fbpgm = fbpgm->NEXT;
			}
			fbtyp = fbpcs_pnt->INSTRUCTION;
			while(fbtyp)
			{
			  display_fbh(fbtyp); 
			  fbtyp = fbtyp->NEXT;
			}
                  fbpcs_pnt = fbpcs_pnt->NEXT;
                  }*/

                fbaux_pnt = FBL_BEFPNT->BEAUX;
                while (fbaux_pnt != 0)
                  {
		 /*  printf("%s \n",fbaux_pnt->NAME);
                  if (fbaux_pnt->ABL == 0)
                    fbl_error (40,fbaux_pnt->NAME);*/
                  fbaux_pnt = fbaux_pnt->NEXT;
                  }
 
                fbbus_pnt = FBL_BEFPNT->BEBUS;
                while (fbbus_pnt != 0)
                  {
                  if (fbbus_pnt->BIABL == 0)
                    fbl_error (40,fbbus_pnt->NAME);
                  fbbus_pnt = fbbus_pnt->NEXT;
                  }
 
                fbreg_pnt = FBL_BEFPNT->BEREG;
                while (fbreg_pnt != 0)
                  {
                  if (fbreg_pnt->BIABL == 0)
                    fbl_error (40,fbreg_pnt->NAME);
                  fbreg_pnt = fbreg_pnt->NEXT;
                  }
                fretab (hshtab);
                ;
    break;}
case 3:
#line 352 "fbl_bcomp.yac"
{
		int type,size=0;
		struct fbtyp *fbtyp_pnt;
                FBL_BEFPNT->NAME = fbl_y_vsp[-1].text;
		FBL_MODNAM = fbl_y_vsp[-1].text;

		fbtyp_pnt = fbh_prdeftyp();
		 FBL_BEFPNT->BETYP = fbtyp_pnt;
		 FBL_NUMTYP =1;
		 while(fbtyp_pnt)
		 {
		   size++;
		    fbtyp_pnt = fbtyp_pnt->NEXT;
		  }

		 fbtyp_pnt =FBL_BEFPNT->BETYP ;
		while(fbtyp_pnt)
		  {
		type = val_type(fbtyp_pnt->NAME);
   	    addtab(hshtab,fbtyp_pnt->NAME,FBL_MODNAM,FBL_SIGDFN,FBL_TPEDFN);
   	    addtab(hshtab,fbtyp_pnt->NAME,FBL_MODNAM,FBL_USRDFN,type);
   	    addtab(hshtab,fbtyp_pnt->NAME,FBL_MODNAM,FBL_LBLDFN,fbtyp_pnt->CLASS);
   	    addtab(hshtab,fbtyp_pnt->NAME,FBL_MODNAM,FBL_TYPDFN,size +1 - FBL_NUMTYP);
            addtab(hshtab,fbtyp_pnt->NAME,FBL_MODNAM,FBL_PNTDFN,(int)fbtyp_pnt);
		    fbtyp_pnt = fbtyp_pnt->NEXT;
		    FBL_NUMTYP++;
		  }
                ;
    break;}
case 4:
#line 384 "fbl_bcomp.yac"
{
                if ((fbl_y_vsp[-1].text != 0) && (fbl_y_vsp[-1].text != fbl_y_vsp[-6].text))
                  fbl_error (1,fbl_y_vsp[-1].text);
                ;
    break;}
case 5:
#line 390 "fbl_bcomp.yac"
{ fbl_error (2,0); ;
    break;}
case 6:
#line 395 "fbl_bcomp.yac"
{  
                fbl_y_val.name.FLAG  = 'U';
                fbl_y_val.name.LEFT  = -1;
                fbl_y_val.name.RIGHT = -1;
                ;
    break;}
case 7:
#line 401 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name; ;
    break;}
case 8:
#line 408 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[-1].name; ;
    break;}
case 9:
#line 414 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name; ;
    break;}
case 10:
#line 421 "fbl_bcomp.yac"
{    
                fbl_y_val.name.FLAG  = 'A';
                fbl_y_val.name.LEFT  = fbl_y_vsp[-2].valu;
                fbl_y_val.name.RIGHT = fbl_y_vsp[0].valu;

                if (((fbl_y_vsp[-2].valu > fbl_y_vsp[0].valu) && (fbl_y_vsp[-1].valu == FBL_UPTDFN)) ||
                    ((fbl_y_vsp[-2].valu < fbl_y_vsp[0].valu) && (fbl_y_vsp[-1].valu == FBL_DWTDFN)) ||
                    ((fbl_y_vsp[-2].valu < 0 ) || (fbl_y_vsp[-1].valu < 0 )))
                  {
                  fbl_error (32,0);
                  }
                ;
    break;}
case 11:
#line 437 "fbl_bcomp.yac"
{ fbl_y_val.valu = FBL_UPTDFN; ;
    break;}
case 12:
#line 439 "fbl_bcomp.yac"
{ fbl_y_val.valu = FBL_DWTDFN; ;
    break;}
case 16:
#line 456 "fbl_bcomp.yac"
{ fbl_error (3,0); ;
    break;}
case 20:
#line 479 "fbl_bcomp.yac"
{
                char *signame;
                void *pnt;
 
                /* ###----------------------------------------------### */
                /*    First, check the validity of the declaration.     */
                /* Then, for each port, create the apropriate set of    */
                /* structures (fbrin, fbpor, fbout, fbbus)              */
                /* ###----------------------------------------------### */
 
                fbl_chkdcl ('P', fbl_y_vsp[-3].valu, val_type(fbl_y_vsp[-2].name.NAME), fbl_y_vsp[-2].name.FLAG, fbl_y_vsp[0].valu, fbl_y_vsp[-1].name.FLAG);

                FBL_NM1LST = reverse (FBL_NM1LST);
                while (FBL_NM1LST != 0)
                  {
                  signame = (char *)FBL_NM1LST->DATA;
                  if (chktab (hshtab,signame,FBL_MODNAM,FBL_SIGDFN) != 0)
                    fbl_error (4,signame);

                  pnt =  fbl_addstr (FBL_BEFPNT,'P',fbl_y_vsp[-3].valu,val_type(fbl_y_vsp[-2].name.NAME),fbl_y_vsp[-2].name.TYPE,fbl_y_vsp[-2].name.FLAG,signame,
                                fbl_y_vsp[-1].name.LEFT,fbl_y_vsp[-1].name.RIGHT);
 
                  addtab (hshtab,signame,FBL_MODNAM,FBL_SIGDFN,fbl_y_vsp[-3].valu);

                  addtab (hshtab,signame,FBL_MODNAM,FBL_TYPDFN,fbl_y_vsp[-2].name.TYPE);
                  addtab (hshtab,signame,FBL_MODNAM,FBL_WMNDFN,fbl_y_vsp[-1].name.LEFT);
                  addtab (hshtab,signame,FBL_MODNAM,FBL_WMXDFN,fbl_y_vsp[-1].name.RIGHT);
                  addtab (hshtab,signame,FBL_MODNAM,FBL_LBLDFN,fbl_y_vsp[0].valu);
                  addtab (hshtab,signame,FBL_MODNAM,FBL_PNTDFN,(int)pnt);
 
                  FBL_NM1LST = delchain (FBL_NM1LST, FBL_NM1LST);
                  }
                ;
    break;}
case 21:
#line 513 "fbl_bcomp.yac"
{
                /* ###----------------------------------------------### */
                /*   The following 3 lines reject tokens until the	*/
                /* sync. token 'Semicolon' is found			*/
                /* ###----------------------------------------------### */
 
                /*do
                  fbl_y_char = fbl_y_lex ();
                while ((fbl_y_char != Semicolon) && (fbl_y_char != 0));           
                fbl_y_errok;
*/ 
                fbl_error (6,0);
                ;
    break;}
case 24:
#line 535 "fbl_bcomp.yac"
{ fbl_y_val.valu = FBL_ICNDFN; ;
    break;}
case 25:
#line 537 "fbl_bcomp.yac"
{ fbl_y_val.valu = FBL_ICNDFN; ;
    break;}
case 26:
#line 539 "fbl_bcomp.yac"
{ fbl_y_val.valu = FBL_OCNDFN; ;
    break;}
case 27:
#line 541 "fbl_bcomp.yac"
{ fbl_y_val.valu = FBL_BCNDFN; ;
    break;}
case 28:
#line 550 "fbl_bcomp.yac"
{
                if (fbl_y_vsp[-1].text != FBL_MODNAM)
                  fbl_error (1,fbl_y_vsp[-1].text);
                ;
    break;}
case 29:
#line 555 "fbl_bcomp.yac"
{
		  struct fbtyp *listfbtyp; 
		  struct fbtyp *fbtypaux; 
		  struct fbtyp *revfbtyp = 0; 
			listfbtyp = FBL_BEFPNT->BETYP;
		     revfbtyp = listfbtyp;
		     listfbtyp = listfbtyp->NEXT;		
		     revfbtyp->NEXT = 0;	
		  while(listfbtyp != 0)
		   {
		     fbtypaux = revfbtyp;	
		     revfbtyp = listfbtyp;
		     listfbtyp = listfbtyp->NEXT;		
		     revfbtyp->NEXT = fbtypaux;		
		   }
			
                        FBL_BEFPNT->BETYP = fbh_crtfbtyp(revfbtyp);
		;
    break;}
case 30:
#line 578 "fbl_bcomp.yac"
{
                if ((fbl_y_vsp[-1].text != 0) && (fbl_y_vsp[-1].text != fbl_y_vsp[-11].text))
                  fbl_error (7,fbl_y_vsp[-1].text);
                ;
    break;}
case 31:
#line 584 "fbl_bcomp.yac"
{ fbl_error (8,0); ;
    break;}
case 41:
#line 606 "fbl_bcomp.yac"
{ fbl_error (9,0); ;
    break;}
case 42:
#line 611 "fbl_bcomp.yac"
{
		char pragma[30];
		char type[30];
		char name[30];
		 sscanf((char *)fbl_y_vsp[0].valu,"-- %s %s %s", pragma,type,name);

                        FBL_BEFPNT->BEPGM = fbh_addfbpgm(FBL_BEFPNT->BEPGM,type,name,0);
                        FBL_BEFPNT->BEPGM->USER = (void *)FBL_LINNUM;
		;
    break;}
case 43:
#line 630 "fbl_bcomp.yac"
{
                if (fbl_chkdcl ('C',0,val_type(fbl_y_vsp[-3].name.NAME),fbl_y_vsp[-3].name.FLAG,0,fbl_y_vsp[-2].name.FLAG) == 0)
                {
                  addtab (hshtab,fbl_y_vsp[-5].text,FBL_MODNAM,FBL_WMNDFN,fbl_y_vsp[-2].name.LEFT);
                  addtab (hshtab,fbl_y_vsp[-5].text,FBL_MODNAM,FBL_WMXDFN,fbl_y_vsp[-2].name.RIGHT);
                  addtab (hshtab,fbl_y_vsp[-5].text,FBL_MODNAM,FBL_SIGDFN,FBL_CSTDFN);
                  addtab (hshtab,fbl_y_vsp[-5].text,FBL_MODNAM,FBL_TYPDFN,-1);
                  addtab (hshtab,fbl_y_vsp[-5].text,0,FBL_PNTDFN,fbl_y_vsp[-1].text);
                }
                ;
    break;}
case 44:
#line 645 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text; ;
    break;}
case 45:
#line 650 "fbl_bcomp.yac"
{  fbl_y_val.list.LIST_ABL = 0 ;;
    break;}
case 46:
#line 653 "fbl_bcomp.yac"
{  fbl_y_val.list = fbl_y_vsp[0].list ;;
    break;}
case 47:
#line 664 "fbl_bcomp.yac"
{
                char *signame;
                int   errflg;
 
                errflg = fbl_chkdcl ('V',0,val_type(fbl_y_vsp[-3].name.NAME),fbl_y_vsp[-3].name.FLAG,0,fbl_y_vsp[-2].name.FLAG);

              /* ###----------------------------------------------### */
            /*    First, check the validity of the declaration.     */
          /* Then, for each signal, create the apropriate set of  */
        /* structures (fbrin, fbreg, fbaux, fbbux)
                */
                /* ###----------------------------------------------### */
 
              FBL_NM1LST = reverse (FBL_NM1LST);
                while (FBL_NM1LST != 0)
                  {
                  signame = (char *)FBL_NM1LST->DATA;
                  if (chktab (hshtab,signame,FBL_MODNAM,FBL_SIGDFN) != 0)
                  fbl_error (80,signame);

                /*  pnt = fbl_addstr (FBL_BEFPNT,'V',0,val_type($4.NAME),$4.TYPE,
			$4.FLAG,signame, $5.LEFT,$5.RIGHT);*/
 
                  addtab (hshtab,signame,FBL_MODNAM,FBL_SIGDFN,FBL_VARDFN);
                  addtab (hshtab,signame,FBL_MODNAM,FBL_TYPDFN,fbl_y_vsp[-3].name.TYPE);
                addtab (hshtab,signame,FBL_MODNAM,FBL_WMNDFN,fbl_y_vsp[-2].name.LEFT);
              addtab (hshtab,signame,FBL_MODNAM,FBL_WMXDFN,fbl_y_vsp[-2].name.RIGHT);
              addtab (hshtab,signame,FBL_MODNAM,FBL_LBLDFN,fbl_y_vsp[-1].list);
            addtab (hshtab,signame,FBL_MODNAM,FBL_PNTDFN,fbl_y_vsp[-1].list.LIST_ABL);
 
          FBL_NM1LST = delchain (FBL_NM1LST,FBL_NM1LST);
        
                }
           ;
    break;}
case 48:
#line 708 "fbl_bcomp.yac"
{
                char *signame;
                void *pnt;
                int   errflg;
 
                errflg = fbl_chkdcl ('S',0,val_type(fbl_y_vsp[-3].name.NAME),fbl_y_vsp[-3].name.FLAG,fbl_y_vsp[-1].valu,fbl_y_vsp[-2].name.FLAG);
 
              /* ###----------------------------------------------### */
            /*    First, check the validity of the declaration.     */
          /* Then, for each signal, create the apropriate set of  */
        /* structures (fbrin, fbreg, fbaux, fbbux)
                */
                /* ###----------------------------------------------### */
 
	  /*if( val_type($4.NAME) != -1)
		fbl_error(81,$4.NAME);*/
	  /*else */
	  {
              FBL_NM1LST = reverse (FBL_NM1LST);
                while (FBL_NM1LST != 0)
                  {
                  signame = (char *)FBL_NM1LST->DATA;
                  if (chktab (hshtab,signame,FBL_MODNAM,FBL_SIGDFN) != 0)
                  fbl_error (10,signame);

                  pnt = fbl_addstr (FBL_BEFPNT,'S',0,val_type(fbl_y_vsp[-3].name.NAME),fbl_y_vsp[-3].name.TYPE,
			fbl_y_vsp[-3].name.FLAG,signame, fbl_y_vsp[-2].name.LEFT,fbl_y_vsp[-2].name.RIGHT);
 
                  addtab (hshtab,signame,FBL_MODNAM,FBL_SIGDFN,FBL_SGNDFN);
                  addtab (hshtab,signame,FBL_MODNAM,FBL_TYPDFN,fbl_y_vsp[-3].name.TYPE);
                addtab (hshtab,signame,FBL_MODNAM,FBL_WMNDFN,fbl_y_vsp[-2].name.LEFT);
              addtab (hshtab,signame,FBL_MODNAM,FBL_WMXDFN,fbl_y_vsp[-2].name.RIGHT);
              addtab (hshtab,signame,FBL_MODNAM,FBL_LBLDFN,fbl_y_vsp[-1].valu);
            addtab (hshtab,signame,FBL_MODNAM,FBL_PNTDFN,(int)pnt);
 
          FBL_NM1LST = delchain (FBL_NM1LST,FBL_NM1LST);
        
                  }
           }  
	;
    break;}
case 50:
#line 759 "fbl_bcomp.yac"
{
		FBL_BEFPNT->BETYP =  fbh_addfbtyp(FBL_BEFPNT->BETYP,fbl_y_vsp[-2].text,fbl_y_vsp[0].type.LEFT,
		 fbl_y_vsp[0].type.RIGHT,fbl_y_vsp[0].type.VALUE,fbl_y_vsp[0].type.SIZE,fbl_y_vsp[0].type.BYTE,fbl_y_vsp[0].type.BASE,fbl_y_vsp[0].type.INDEX,fbl_y_vsp[0].type.RESOLV,fbl_y_vsp[0].type.CLASS); 
                FBL_BEFPNT->BETYP->USER = (void *)FBL_LINNUM;
   		addtab(hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_SIGDFN,FBL_TPEDFN);
   		addtab(hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_LBLDFN,fbl_y_vsp[0].type.CLASS);
   	        addtab(hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_TYPDFN,FBL_NUMTYP);
                addtab (hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_PNTDFN,(int)FBL_BEFPNT->BETYP);
				FBL_NUMTYP++;
		;
    break;}
case 52:
#line 774 "fbl_bcomp.yac"
{ fbl_y_val.type = fbl_y_vsp[0].type; ;
    break;}
case 53:
#line 776 "fbl_bcomp.yac"
{ fbl_y_val.type = fbl_y_vsp[0].type; ;
    break;}
case 54:
#line 778 "fbl_bcomp.yac"
{ fbl_y_errok; ;
    break;}
case 55:
#line 786 "fbl_bcomp.yac"
{
		FBL_BEFPNT->BETYP =  fbh_addfbtyp(FBL_BEFPNT->BETYP,fbl_y_vsp[-2].text,fbl_y_vsp[0].type.LEFT,
		 fbl_y_vsp[0].type.RIGHT,fbl_y_vsp[0].type.VALUE,fbl_y_vsp[0].type.SIZE,fbl_y_vsp[0].type.BYTE,fbl_y_vsp[0].type.BASE,fbl_y_vsp[0].type.INDEX,fbl_y_vsp[0].type.RESOLV,fbl_y_vsp[0].type.CLASS); 
                FBL_BEFPNT->BETYP->USER = (void *)FBL_LINNUM;
   		addtab(hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_SIGDFN,FBL_TPEDFN);
   		addtab(hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_LBLDFN,fbl_y_vsp[0].type.CLASS);
   	        addtab(hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_TYPDFN,FBL_NUMTYP);
                addtab (hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_PNTDFN,(int)FBL_BEFPNT->BETYP);
				FBL_NUMTYP++;
		;
    break;}
case 57:
#line 802 "fbl_bcomp.yac"
{ struct fbtyp *fbtyp_pnt;
		fbtyp_pnt = (struct fbtyp*)chktab(hshtab,fbl_y_vsp[-1].name,FBL_MODNAM,FBL_PNTDFN);
		fbl_y_val.type.BASE = fbl_y_vsp[-1].name.TYPE ; 
		fbl_y_val.type.VALUE = 0 ;
		fbl_y_val.type.SIZE = 0 ;
		fbl_y_val.type.BYTE = fbtyp_pnt->BYTE  ;
		fbl_y_val.type.LEFT = fbl_y_vsp[0].name.LEFT ;
		fbl_y_val.type.RIGHT = fbl_y_vsp[0].name.RIGHT ;
		fbl_y_val.type.CLASS = 'S' ;
		fbl_y_val.type.RESOLV = 0 ;
		;
    break;}
case 58:
#line 817 "fbl_bcomp.yac"
{ 
		fbl_y_val.type = fbl_y_vsp[0].type; 
		;
    break;}
case 59:
#line 826 "fbl_bcomp.yac"
{
                char *enumname;
		int size=0;
		int indice=0;
                char **pnt;
		chain_list *nm1lst;
 
                FBL_NM1LST = reverse (FBL_NM1LST);

		nm1lst = FBL_NM1LST;
                while (nm1lst != 0)
		  {
			size++;
			nm1lst = nm1lst->NEXT;
	  	  }
		if( size != 0)
		  pnt = (char **) malloc(size * sizeof(char*));
	         
                while (FBL_NM1LST != 0)
                  {
                  enumname = namealloc((char *)FBL_NM1LST->DATA);
                  if (chktab (hshtab,enumname,FBL_MODNAM,FBL_SIGDFN) != 0)
                    fbl_error (82,enumname);

                  addtab (hshtab,enumname,FBL_MODNAM,FBL_SIGDFN,FBL_CSTDFN);
                  addtab (hshtab,enumname,FBL_MODNAM,FBL_TYPDFN,FBL_NUMTYP);
                  addtab (hshtab,enumname,FBL_MODNAM,FBL_USRDFN,size);
                  addtab (hshtab,enumname,FBL_MODNAM,FBL_WMNDFN,-1);
                  addtab (hshtab,enumname,FBL_MODNAM,FBL_WMXDFN,-1);
                  addtab (hshtab,enumname,FBL_MODNAM,FBL_LBLDFN,indice);
                  addtab (hshtab,enumname,FBL_MODNAM,FBL_PNTDFN,(int)pnt);
 
		  pnt[indice++] = enumname;
                  FBL_NM1LST = delchain (FBL_NM1LST, FBL_NM1LST);
                  }
		fbl_y_val.type.VALUE = pnt ;
		fbl_y_val.type.SIZE = size ;
		fbl_y_val.type.LEFT = 0 ;
		fbl_y_val.type.RIGHT = 0 ;
		fbl_y_val.type.BYTE = size/256 +1;
		fbl_y_val.type.CLASS = 'E' ;
		fbl_y_val.type.BASE = 0 ;
		fbl_y_val.type.RESOLV = 0 ;
		;
    break;}
case 61:
#line 878 "fbl_bcomp.yac"
{ fbl_y_errok; ;
    break;}
case 62:
#line 883 "fbl_bcomp.yac"
{ FBL_NM1LST = addchain (FBL_NM1LST,fbl_y_vsp[0].text); ;
    break;}
case 63:
#line 885 "fbl_bcomp.yac"
{ FBL_NM1LST = addchain (FBL_NM1LST,fbl_y_vsp[0].text); ;
    break;}
case 64:
#line 891 "fbl_bcomp.yac"
{ 
		 fbl_y_val.type = fbl_y_vsp[0].type; 
		;
    break;}
case 65:
#line 898 "fbl_bcomp.yac"
{ fbl_y_val.type = fbl_y_vsp[0].type; ;
    break;}
case 66:
#line 900 "fbl_bcomp.yac"
{ fbl_y_val.type = fbl_y_vsp[0].type; ;
    break;}
case 67:
#line 910 "fbl_bcomp.yac"
{ 
		fbl_y_val.type = fbl_y_vsp[0].type;
		fbl_y_val.type.CLASS = 'U'; 
		fbl_y_val.type.INDEX = fbl_y_vsp[-3].name.TYPE; 
		;
    break;}
case 68:
#line 922 "fbl_bcomp.yac"
{ fbl_y_val.type = fbl_y_vsp[0].type; 
		fbl_y_val.type.CLASS = 'A'; 
		fbl_y_val.type.INDEX = fbl_y_vsp[-2].name.TYPE; 
		;
    break;}
case 69:
#line 932 "fbl_bcomp.yac"
{ 
		fbl_y_val.name.NAME = fbl_y_vsp[-2].name.NAME;
		fbl_y_val.name.LEFT = fbl_y_vsp[-2].name.LEFT;
		fbl_y_val.name.RIGHT = fbl_y_vsp[-2].name.RIGHT;
		/*$$.TYPE = chktab(hshtab,$1,FBL_MODNAM,FBL_TYPDFN); */
		fbl_y_val.name.TYPE = fbl_y_vsp[-2].name.TYPE; 
		fbl_y_val.name.FLAG = chktab(hshtab,fbl_y_vsp[-2].name,FBL_MODNAM,FBL_LBLDFN);
		if (fbl_y_val.name.TYPE == 0 || fbl_y_val.name.FLAG ==0)
		  fbl_error(83,fbl_y_vsp[-2].name);
	      ;
    break;}
case 70:
#line 948 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[-1].name;;
    break;}
case 71:
#line 953 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name;;
    break;}
case 72:
#line 956 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name;
	    fbl_y_val.name.NAME = fbl_y_vsp[-1].name.NAME;
	  ;
    break;}
case 73:
#line 961 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name;;
    break;}
case 74:
#line 966 "fbl_bcomp.yac"
{ 
		int type;
		fbl_y_val.name.NAME = fbl_y_vsp[0].text;
		fbl_y_val.name.LEFT = -1;
		fbl_y_val.name.RIGHT = -1;
		fbl_y_val.name.TYPE = chktab(hshtab,fbl_y_vsp[0].text,FBL_MODNAM,FBL_TYPDFN);
		fbl_y_val.name.FLAG = chktab(hshtab,fbl_y_vsp[0].text,FBL_MODNAM,FBL_LBLDFN);
		type = chktab(hshtab,fbl_y_vsp[0].text,FBL_MODNAM,FBL_SIGDFN); 
		if (type != FBL_TPEDFN || fbl_y_val.name.TYPE ==0)
			fbl_error(84,fbl_y_vsp[0].text);
	      ;
    break;}
case 75:
#line 981 "fbl_bcomp.yac"
{ fbl_y_val.valu = 0; ;
    break;}
case 76:
#line 983 "fbl_bcomp.yac"
{ fbl_y_val.valu = BUS; ;
    break;}
case 81:
#line 1000 "fbl_bcomp.yac"
{ fbl_error (18,0); ;
    break;}
case 82:
#line 1005 "fbl_bcomp.yac"
{
		  FBL_LBLNAM = namealloc(fbl_y_vsp[0].text); 
		;
    break;}
case 84:
#line 1009 "fbl_bcomp.yac"
{
		  FBL_LBLNAM = 0; 
		;
    break;}
case 86:
#line 1017 "fbl_bcomp.yac"
{FBL_NM1LST = 0 ;;
    break;}
case 87:
#line 1019 "fbl_bcomp.yac"
{ FBL_BEFPNT->BEPCS = fbh_addfbpcs(FBL_BEFPNT->BEPCS,FBL_LBLNAM,FBL_NM1LST,0,0,0); 
                  FBL_BEFPNT->BEPCS->USER = (void *)FBL_LINNUM;
		  FBL_NM1LST = 0; ;
    break;}
case 88:
#line 1024 "fbl_bcomp.yac"
{  
		void *pnt;
		pnt = (void *)(&(FBL_BEFPNT->BEPCS->INSTRUCTION));
                   FBL_NM1LST = addchain(0,pnt);
		;
    break;}
case 89:
#line 1031 "fbl_bcomp.yac"
{
		    struct ptype **pnt;
		    struct ptype *ptype;
		    pnt = (struct ptype**)FBL_NM1LST->DATA;
		    ptype = reversetype(*pnt); 
		    *pnt = ptype; 
                  FBL_NM1LST = delchain (FBL_NM1LST, FBL_NM1LST);
		  ;
    break;}
case 90:
#line 1043 "fbl_bcomp.yac"
{ 
                fbl_y_errok;
		;
    break;}
case 93:
#line 1057 "fbl_bcomp.yac"
{
                fbl_y_errok;
                ;
    break;}
case 101:
#line 1083 "fbl_bcomp.yac"
{ 
		if(fbl_y_vsp[-1].name.TYPE == 0)
			fbl_error(17,fbl_y_vsp[-1].name.NAME) ;
		FBL_NM1LST = addchain (FBL_NM1LST,fbl_y_vsp[-1].name.NAME); ;
    break;}
case 103:
#line 1094 "fbl_bcomp.yac"
{ 
		if(fbl_y_vsp[-1].name.TYPE == 0)
			fbl_error(17,fbl_y_vsp[-1].name.NAME) ;
		FBL_NM1LST = addchain (FBL_NM1LST,fbl_y_vsp[-1].name.NAME); ;
    break;}
case 113:
#line 1126 "fbl_bcomp.yac"
{   
                    FBL_BEFPNT->BEMSG  = fbh_addfbmsg(FBL_BEFPNT->BEMSG,0,fbl_y_vsp[-1].valu,fbl_y_vsp[-2].text,fbl_y_vsp[-3].list.LIST_ABL->DATA,0);
                    FBL_BEFPNT->BEMSG->USER = (void *)FBL_LINNUM;
		;
    break;}
case 114:
#line 1137 "fbl_bcomp.yac"
{   unsigned int type; 
		    int mode; 	
		    type = chktab(hshtab,fbl_y_vsp[-3].name.NAME,FBL_MODNAM,FBL_TYPDFN);
		    mode = chktab(hshtab,fbl_y_vsp[-3].name.NAME,FBL_MODNAM,FBL_SIGDFN);
		    if( mode == 0)
			fbl_error(17,fbl_y_vsp[-3].name.NAME);
		    else if( mode != FBL_VARDFN)
			fbl_error(27,fbl_y_vsp[-3].name.NAME);
		    addtab(hshtab,fbl_y_vsp[-3].name.NAME,FBL_MODNAM,FBL_PNTDFN,fbl_y_vsp[-1].list.LIST_ABL);
		;
    break;}
case 115:
#line 1154 "fbl_bcomp.yac"
{   unsigned int type; 
		    int mode,i; 	
		    int left_bnd,right_bnd;
		    int in_bound,out_bound;
		    int left ,right;
	            int rev_flg, debut;
		    int sig_width;
		    struct chain   *abl_pnt;
		    char extname[100];
		    struct fbl_expr expr;
		    struct ptype **pnt;

		    type = chktab(hshtab,fbl_y_vsp[-3].name.NAME,FBL_MODNAM,FBL_TYPDFN);
		    mode = chktab(hshtab,fbl_y_vsp[-3].name.NAME,FBL_MODNAM,FBL_SIGDFN);

	 	if( mode == 0)
			fbl_error(17,fbl_y_vsp[-3].name.NAME);
		if(mode != FBL_OCNDFN && mode != FBL_BCNDFN &&
								 mode != FBL_SGNDFN)
		   fbl_error(17,fbl_y_vsp[-3].name.NAME);

 	    left_bnd  = chktab (hshtab,fbl_y_vsp[-3].name.NAME,FBL_MODNAM,FBL_WMNDFN);
        right_bnd = chktab (hshtab,fbl_y_vsp[-3].name.NAME,FBL_MODNAM,FBL_WMXDFN);
 
                left  = fbl_y_vsp[-3].name.LEFT;
                right = fbl_y_vsp[-3].name.RIGHT;

		expr = fbl_y_vsp[-1].list; 

                if (left_bnd <= right_bnd)
                  {
                  sig_width = right_bnd - left_bnd + 1;
                  if (left <= right)
                    {
                    rev_flg   = 0;
                    in_bound  = right_bnd - right;
                    out_bound = right_bnd - left;
                    if ((left < left_bnd) || (right > right_bnd))
                      fbl_error (36,fbl_y_vsp[-3].name.NAME);
		    debut = left;  
                    }

   else
                    {
                    rev_flg   = 1;
                    in_bound  = right_bnd - left;
                    out_bound = right_bnd - right;
                    if ((left > right_bnd) || (right < left_bnd))
                      fbl_error (36,fbl_y_vsp[-3].name.NAME);
		    debut = right;  
                    }
                  }
                else
                  {
                  sig_width = left_bnd - right_bnd + 1;
                  if (left <= right)
                    {
                    rev_flg   = 1;
                    in_bound  = left  - right_bnd;
                    out_bound = right - right_bnd;
                    if ((left < right_bnd) || (right > left_bnd))
                      fbl_error (36,fbl_y_vsp[-3].name.NAME);
		    debut = left;  
                    }
                  else
                    {
                    rev_flg   = 0;
                    in_bound  = right - right_bnd;
                    out_bound = left  - right_bnd;
                    if ((left > left_bnd) || (right < right_bnd))
                      fbl_error (36,fbl_y_vsp[-3].name.NAME);
		    debut = right;  
                    }
                  }
                if ((out_bound - in_bound + 1) != expr.WIDTH)
		{
                  fbl_error (35,fbl_y_vsp[-3].name.NAME);
		}
 
                if (rev_flg == 1)
                  expr.LIST_ABL = reverse (expr.LIST_ABL);
 
                abl_pnt = expr.LIST_ABL;
 

		    if( mode == FBL_ICNDFN)
			fbl_error(21,fbl_y_vsp[-3].name.NAME);
		    else if( mode == 0)
			fbl_error(17,fbl_y_vsp[-3].name.NAME);
			else
			{
		      pnt = (struct ptype**)(FBL_NM1LST->DATA);
                  if(sig_width >1) 
		  {
                      for (i=0 ; i<sig_width ; i++)
                        {
      			sprintf (extname,"%s %d",fbl_y_vsp[-3].name.NAME,i+debut-in_bound);
                        if (i >= in_bound)
                          {
                         *pnt =fbh_addfbasg(*pnt,extname, (struct chain *)abl_pnt->DATA,type);
                         ((struct fbasg *)((*pnt)->DATA))->USER = (void *)FBL_LINNUM;
                          abl_pnt = abl_pnt->NEXT;
                          }
                        if (i >= out_bound)
                          break;
                        } 
                  }
		else
                  {
                    *pnt = fbh_addfbasg(*pnt,fbl_y_vsp[-3].name.NAME,abl_pnt->DATA,type);
                    ((struct fbasg *)((*pnt)->DATA))->USER = (void *)FBL_LINNUM;
                  }
	        }
		;
    break;}
case 116:
#line 1272 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 117:
#line 1279 "fbl_bcomp.yac"
{
		    struct ptype **pnt;
		    pnt = (struct ptype**)FBL_NM1LST->DATA;
		    *pnt = fbh_addfbifs(*pnt,fbl_y_vsp[-1].list.LIST_ABL->DATA);
                    ((struct fbifs *)((*pnt)->DATA))->USER = (void *)FBL_LINNUM;
	            FBL_NM1LST = addchain(FBL_NM1LST,&(((struct fbifs*)(*pnt)->DATA)->CNDTRUE));
		;
    break;}
case 118:
#line 1287 "fbl_bcomp.yac"
{
		    struct ptype **pnt;
		    struct ptype *ptype;
		    pnt = (struct ptype**)FBL_NM1LST->DATA;
		    ptype = reversetype(*pnt); 
		    *pnt = ptype; 
                  FBL_NM1LST = delchain (FBL_NM1LST, FBL_NM1LST);
		    pnt = (struct ptype**)FBL_NM1LST->DATA;
	            FBL_NM1LST = addchain(FBL_NM1LST,&(((struct fbifs*)(*pnt)->DATA)->CNDFALSE));	
		;
    break;}
case 121:
#line 1310 "fbl_bcomp.yac"
{
		    struct ptype **pnt;
		    pnt = (struct ptype**)FBL_NM1LST->DATA;
		    *pnt = fbh_addfbifs(*pnt,fbl_y_vsp[-1].list.LIST_ABL->DATA);
                    ((struct fbifs *)((*pnt)->DATA))->USER = (void *)FBL_LINNUM;
	            FBL_NM1LST = addchain(FBL_NM1LST,(void*)&((struct fbifs*)(*pnt)->DATA)->CNDTRUE);	
		;
    break;}
case 122:
#line 1318 "fbl_bcomp.yac"
{
		    struct ptype **pnt;
		    struct ptype *ptype;
		    pnt = (struct ptype**)FBL_NM1LST->DATA;
		    ptype = reversetype(*pnt); 
		    *pnt = ptype; 
                    FBL_NM1LST = delchain (FBL_NM1LST, FBL_NM1LST);
		    pnt = (struct ptype**)FBL_NM1LST->DATA;
                    FBL_NM1LST = delchain (FBL_NM1LST, FBL_NM1LST);
	            FBL_NM1LST = addchain(FBL_NM1LST,&((struct fbifs*)(*pnt)->DATA)->CNDFALSE);	
		fbl_y_errok; ;
    break;}
case 123:
#line 1333 "fbl_bcomp.yac"
{ 
                  FBL_NM1LST = delchain (FBL_NM1LST, FBL_NM1LST);
		  fbl_y_errok; 
		;
    break;}
case 124:
#line 1339 "fbl_bcomp.yac"
{ 
		    struct ptype *ptype;
		    struct ptype **pnt;
		    pnt = (struct ptype**)FBL_NM1LST->DATA;
		    ptype = reversetype(*pnt); 
		    *pnt = ptype; 
                  FBL_NM1LST = delchain (FBL_NM1LST, FBL_NM1LST);
		  fbl_y_errok; 
		;
    break;}
case 125:
#line 1353 "fbl_bcomp.yac"
{	
		    struct ptype **pnt;

		    pnt = (struct ptype**)FBL_NM1LST->DATA;
		    
		    /*fbcas = (struct fbcas *)mbkalloc(sizeof(struct fbcas));
		    fbcas->CHOICE = 0;
		    fbcas->USER   = 0;		
		    fbcas->SIZE   = 0;		
		    fbcas->TYPE = $2.TYPE;
		    fbcas->ABL = $2.LIST_ABL->DATA;*/
		    FBL_OTHPNT  = 0;	
		*pnt = fbh_addfbcas(*pnt,fbl_y_vsp[0].list.LIST_ABL->DATA,fbl_y_vsp[0].list.TYPE);	
                    ((struct fbcas *)((*pnt)->DATA))->USER = (void *)FBL_LINNUM;
	            FBL_NM1LST = addchain(FBL_NM1LST,(void*)&(((struct fbcas*)((*pnt)->DATA))->SIZE));
	            FBL_NM1LST = addchain(FBL_NM1LST,(void*)&(((struct fbcas*)(*pnt)->DATA)->CHOICE));
		;
    break;}
case 126:
#line 1376 "fbl_bcomp.yac"
{
		unsigned int size=1;
		unsigned int *size1;
		int indice=0;
		struct choice_chain *ch;
                struct fbcho **pnt;
                struct fbcho *tab;
		struct choice_chain *nm1lst;
 

		nm1lst = FBL_CASPNT;
                while (nm1lst != 0)
		  {
			size++;
			nm1lst = nm1lst->NEXT;
	  	  }
		pnt = (struct fbcho**)FBL_NM1LST->DATA;
		  FBL_NM1LST = delchain(FBL_NM1LST,FBL_NM1LST);
		if( size != 0)
		  tab  = (struct fbcho*)mbkalloc(size*sizeof(struct fbcho));
		 while(FBL_CASPNT)
		 {
		  tab[indice].INSTRUCTION = reversetype(FBL_CASPNT->INSTRUCTION);
		  tab[indice].SIZE = FBL_CASPNT->SIZE;
		  tab[indice++].VALUE = FBL_CASPNT->VALUE;
		  ch = FBL_CASPNT;
		  FBL_CASPNT =FBL_CASPNT->NEXT;
		  /*free(ch);*/
		  }
		  tab[indice].INSTRUCTION = reversetype(FBL_OTHPNT);
		  tab[indice].SIZE = -1;
		  tab[indice++].VALUE = namealloc("others");
		  (*pnt) = tab;
		  size1 = (unsigned int*) FBL_NM1LST->DATA;
		  *size1 = size;
		  FBL_NM1LST = delchain(FBL_NM1LST,FBL_NM1LST);
		  FBL_OTHPNT = 0;
		;
    break;}
case 128:
#line 1420 "fbl_bcomp.yac"
{ fbl_y_errok; ;
    break;}
case 129:
#line 1426 "fbl_bcomp.yac"
{ 
		 FBL_PTYPE = 0;
		 FBL_NM1LST = addchain(FBL_NM1LST,(void*)&FBL_PTYPE);
		 ;
    break;}
case 130:
#line 1431 "fbl_bcomp.yac"
{ 
		 if( FBL_CNDLST == 0)
		     fbl_error(85,"case");
		 else if ( FBL_CNDLST->DATA == 0)
		     FBL_OTHPNT = FBL_PTYPE ;
		 else 
		 while(FBL_CNDLST)
		 {
		  char* val;
		  val = (char *)FBL_CNDLST->DATA;
		  FBL_CASPNT = order_choice(FBL_CASPNT,FBL_PTYPE,val,strlen(val));
		  FBL_CNDLST = delchain(FBL_CNDLST,FBL_CNDLST);
		 }
		  FBL_NM1LST = delchain(FBL_NM1LST,FBL_NM1LST);
		;
    break;}
case 131:
#line 1450 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 132:
#line 1455 "fbl_bcomp.yac"
{
		 if (strcmp(fbl_y_vsp[0].name.NAME , "others"))
                 	FBL_CNDLST = addchain (0 ,(void*)fbl_y_vsp[0].name.NAME); 
		 else 
                 	FBL_CNDLST = addchain (0 ,0); 
		;
    break;}
case 133:
#line 1462 "fbl_bcomp.yac"
{ fbl_y_errok; ;
    break;}
case 136:
#line 1475 "fbl_bcomp.yac"
{
                if (!strcmp(fbl_y_vsp[0].name.NAME , "others")  || FBL_CNDLST->DATA == 0)
                  fbl_error (31,0);
                FBL_CNDLST = addchain (FBL_CNDLST ,(void*)fbl_y_vsp[0].name.NAME);
                ;
    break;}
case 137:
#line 1484 "fbl_bcomp.yac"
{ fbl_y_val.name.NAME  = fbl_y_vsp[0].text;
		  fbl_y_val.name.RIGHT = -1;
		  fbl_y_val.name.TYPE  = -1;
		  fbl_y_val.name.LEFT  = -1;;
    break;}
case 138:
#line 1489 "fbl_bcomp.yac"
{
		  fbl_y_val.name.RIGHT = -1;
		  fbl_y_val.name.TYPE  = -1;
		  fbl_y_val.name.LEFT  = -1;
		  fbl_y_val.name.NAME  = namealloc("others");;
    break;}
case 139:
#line 1495 "fbl_bcomp.yac"
{
                char           *val;
                char            val2[256];
                int             left;
                int             right;
                int             in_bound;
                int             out_bound;
                int             left_bnd;
                int             right_bnd;
                int             sig_conf;
 
                strcpy (val2,"B\"");
                sig_conf = chktab (hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_SIGDFN);
                val      = (char *) chktab (hshtab,fbl_y_vsp[0].name.NAME,0,FBL_PNTDFN);
                if (sig_conf == 0)
                  fbl_error (17,fbl_y_vsp[0].name.NAME);
                else
                  {
                  if (sig_conf != FBL_CSTDFN)
                    fbl_error (76,fbl_y_vsp[0].name.NAME);
                  }
 
                left_bnd  = chktab (hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_WMNDFN);
                right_bnd = chktab (hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_WMXDFN);
 
                left  = fbl_y_vsp[0].name.LEFT;
                right = fbl_y_vsp[0].name.RIGHT;
 
                if (left_bnd <= right_bnd)
                  {
                  if (left <= right)
                    {
                    in_bound = left - left_bnd;
                    out_bound = right - left_bnd;
                    if ((left < left_bnd) || (right > right_bnd))
                      fbl_error (36,fbl_y_vsp[0].name.NAME);
                    }
                  else
                    {
                    in_bound = left - right_bnd;
                    out_bound = right - right_bnd;
                    if ((left > right_bnd) || (right < left_bnd))
                      fbl_error (36,fbl_y_vsp[0].name.NAME);
                    }
                  }
                else
                  {
                  if (left <= right)
                    {
                    in_bound = right - left_bnd;
                    out_bound = left - left_bnd;
                    if ((left < right_bnd) || (right > left_bnd))
                      fbl_error (36,fbl_y_vsp[0].name.NAME);
                    }
                  else
                    {
                    in_bound = right - right_bnd;
                    out_bound = left - right_bnd;
                    if ((left > left_bnd) || (right < right_bnd))
                      fbl_error (36,fbl_y_vsp[0].name.NAME);
                    }
                  }
		if( chktab (hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_TYPDFN) == -1) 
		{
                  fbl_tobin (&val2[2],val,in_bound,out_bound);
                  strcat (val2,"\"");
                  fbl_y_val.name.NAME = namealloc (val2);
                  fbl_y_val.name.LEFT = -1;
                  fbl_y_val.name.RIGHT = -1;
                  fbl_y_val.name.TYPE = -1;
		}
		else 
		 {
                  fbl_y_val.name.LEFT = fbl_y_vsp[0].name.LEFT;
                  fbl_y_val.name.RIGHT = fbl_y_vsp[0].name.RIGHT;
                  fbl_y_val.name.TYPE = fbl_y_vsp[0].name.TYPE;
		  sig_conf = chktab(hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_LBLDFN) ;
			/* $$.NAME = (char *)fbl_numtobin(sig_conf); */
			fbl_y_val.name.NAME = fbl_y_vsp[0].name.NAME;
		 }
		;
    break;}
case 140:
#line 1580 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 141:
#line 1585 "fbl_bcomp.yac"
{ fbl_y_val.text = 0;;
    break;}
case 142:
#line 1588 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text;;
    break;}
case 143:
#line 1593 "fbl_bcomp.yac"
{ fbl_y_val.valu = 'E';;
    break;}
case 144:
#line 1596 "fbl_bcomp.yac"
{ fbl_y_val.valu = fbl_y_vsp[-1].valu;;
    break;}
case 145:
#line 1601 "fbl_bcomp.yac"
{ fbl_stostr(fbl_y_vsp[0].text);;
    break;}
case 146:
#line 1606 "fbl_bcomp.yac"
{ fbl_y_val.valu = 'E';;
    break;}
case 147:
#line 1608 "fbl_bcomp.yac"
{ fbl_y_val.valu = 'W';;
    break;}
case 148:
#line 1613 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 149:
#line 1615 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 150:
#line 1617 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 151:
#line 1619 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 152:
#line 1626 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_AND ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1); ;
    break;}
case 153:
#line 1630 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_AND ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1);;
    break;}
case 154:
#line 1637 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_OR ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1); ;
    break;}
case 155:
#line 1641 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_OR ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1); ;
    break;}
case 156:
#line 1646 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 157:
#line 1650 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_NAND ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1); ;
    break;}
case 158:
#line 1654 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_NAND ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1); ;
    break;}
case 159:
#line 1661 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_XOR ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1); ;
    break;}
case 160:
#line 1665 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_XOR ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1); ;
    break;}
case 161:
#line 1670 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 162:
#line 1674 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (fbl_y_vsp[-1].valu ,fbl_y_vsp[-2].list ,fbl_y_vsp[0].list ,-1,-1); ;
    break;}
case 163:
#line 1679 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 164:
#line 1684 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 165:
#line 1688 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (CONC,fbl_y_vsp[-2].list,fbl_y_vsp[0].list,-1,-1); ;
    break;}
case 166:
#line 1693 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 167:
#line 1698 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 168:
#line 1701 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_crtabl (ABL_NOT,fbl_y_vsp[0].list,FBL_EMPSTR,-1,-1); ;
    break;}
case 169:
#line 1706 "fbl_bcomp.yac"
{
                struct fbl_expr expr1;
 
                expr1.IDENT = fbl_y_vsp[0].text;
                expr1.TYPE = -1;
                fbl_y_val.list = fbl_crtabl (NOPS,expr1,FBL_EMPSTR,-1,-1);
                ;
    break;}
case 170:
#line 1714 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[0].list; ;
    break;}
case 171:
#line 1716 "fbl_bcomp.yac"
{
                struct fbl_expr expr1;
                int             left;
                int             right;
                int             left_bnd;
                int             right_bnd;
                int             in_bound;
                int             out_bound;
                int             mode;

                mode = chktab (hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_SIGDFN);
		if( mode == FBL_OCNDFN)
		{
                    fbl_error (26,fbl_y_vsp[0].name.NAME);
	            fbl_y_val.list.IDENT = 0;	
	            fbl_y_val.list.LIST_ABL = 0;	
	            fbl_y_val.list.WIDTH = 0;	
	            fbl_y_val.list.TYPE = 0;	
		}
		else if( mode == 0 || mode == FBL_TPEDFN)
		{
                    fbl_error (17,fbl_y_vsp[0].name.NAME);
	            fbl_y_val.list.IDENT = 0;	
	            fbl_y_val.list.LIST_ABL = 0;	
	            fbl_y_val.list.WIDTH = 0;	
	            fbl_y_val.list.TYPE = 0;	
		}
	       else
               { 
                left_bnd  = chktab (hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_WMNDFN);
                right_bnd = chktab (hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_WMXDFN);
 
                left  = fbl_y_vsp[0].name.LEFT;
                right = fbl_y_vsp[0].name.RIGHT;
 
                if (left_bnd <= right_bnd)
                  {
                  if (left <= right)
                    {
                    in_bound  = left  - left_bnd;
                    out_bound = right - left_bnd;
                    if ((left < left_bnd) || (right > right_bnd))
                      fbl_error (36,fbl_y_vsp[0].name.NAME);
                    }
                  else
                    {
                    in_bound  = right - left_bnd;
                    out_bound = left  - left_bnd;
                    if ((left > right_bnd) || (right < left_bnd))
                      fbl_error (36,fbl_y_vsp[0].name.NAME);
                    }
                  }
                else
                  {
                  if (left <= right)
                    {
                    in_bound  = left  - right_bnd;
                    out_bound = right - right_bnd;
                    if ((left < right_bnd) || (right > left_bnd))
                      fbl_error (36,fbl_y_vsp[0].name.NAME);
                    }
                  else
                    {
                    in_bound  = right - right_bnd;
                    out_bound = left  - right_bnd;
                    if ((left > left_bnd) || (right < right_bnd))
                      fbl_error (36,fbl_y_vsp[0].name.NAME);
                    }
                  }

                if ( mode == FBL_VARDFN)
                  {
                  expr1.IDENT = 0;
                  expr1.TYPE = chktab(hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_TYPDFN);

                  expr1.LIST_ABL = (struct chain *)chktab(hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_PNTDFN);
                  fbl_y_val.list = fbl_crtabl (SUBVAR,expr1,FBL_EMPSTR,in_bound,out_bound);
                  }
                else if ((mode != FBL_CSTDFN)||
		   (chktab(hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_TYPDFN) != -1))
                  {
				  int  prtype;
				  int  type;
                  expr1.IDENT = fbl_y_vsp[0].name.NAME;
				  prtype = chktab(hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_USRDFN);
				  type = chktab(hshtab,fbl_y_vsp[0].name.NAME,FBL_MODNAM,FBL_TYPDFN);
					  if(val_type((FBL_BEFPNT->BETYP + type -1)->NAME) !=-1)
					  expr1.TYPE = chktab(hshtab,namealloc("bit"),FBL_MODNAM,FBL_TYPDFN);
					  else
				      expr1.TYPE = type;
              if(fbl_y_vsp[0].name.FLAG == 'X')
                        {
                        expr1 = fbl_crtabl (NOPI,expr1,FBL_EMPSTR,left,right);  
                        fbl_y_val.list    = fbl_crtabl (ABL_STABLE,expr1,FBL_EMPSTR,left,right);   
                        }
		  else
                  fbl_y_val.list = fbl_crtabl (NOPI,expr1,FBL_EMPSTR,left,right);
                  }
                else
                  {
                 expr1.IDENT = (char *)chktab(hshtab,fbl_y_vsp[0].name.NAME,0,FBL_PNTDFN);
		 expr1.TYPE =(int)-1;/*dec, cast int */
                  fbl_y_val.list = fbl_crtabl (NOPS,expr1,FBL_EMPSTR,in_bound,out_bound);
                  }
		 }
                ;
    break;}
case 172:
#line 1826 "fbl_bcomp.yac"
{ fbl_y_val.valu = EQ; ;
    break;}
case 173:
#line 1828 "fbl_bcomp.yac"
{ fbl_y_val.valu = NE; ;
    break;}
case 174:
#line 1830 "fbl_bcomp.yac"
{ fbl_y_val.valu = GE; ;
    break;}
case 175:
#line 1832 "fbl_bcomp.yac"
{ fbl_y_val.valu = GT; ;
    break;}
case 176:
#line 1834 "fbl_bcomp.yac"
{ fbl_y_val.valu = LE; ;
    break;}
case 177:
#line 1836 "fbl_bcomp.yac"
{ fbl_y_val.valu = LT; ;
    break;}
case 178:
#line 1841 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text; ;
    break;}
case 179:
#line 1843 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text; ;
    break;}
case 180:
#line 1845 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text; ;
    break;}
case 181:
#line 1852 "fbl_bcomp.yac"
{ fbl_y_val.list = fbl_y_vsp[-1].list; ;
    break;}
case 182:
#line 1857 "fbl_bcomp.yac"
{
                fbl_y_val.name.NAME  = fbl_y_vsp[0].text;
                fbl_y_val.name.TYPE  = chktab (hshtab,fbl_y_vsp[0].text,FBL_MODNAM,FBL_TYPDFN);
              	fbl_y_val.name.LEFT  = chktab (hshtab,fbl_y_vsp[0].text,FBL_MODNAM,FBL_WMNDFN);
                fbl_y_val.name.RIGHT = chktab (hshtab,fbl_y_vsp[0].text,FBL_MODNAM,FBL_WMXDFN);
                ;
    break;}
case 183:
#line 1864 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name; ;
    break;}
case 184:
#line 1866 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name; ;
    break;}
case 185:
#line 1868 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name; ;
    break;}
case 186:
#line 1876 "fbl_bcomp.yac"
{
                fbl_y_val.name.NAME  = fbl_y_vsp[-3].text;
                fbl_y_val.name.LEFT  = fbl_y_vsp[-1].valu;
                fbl_y_val.name.TYPE  = chktab (hshtab,fbl_y_vsp[-3].text,FBL_MODNAM,FBL_TYPDFN);
                fbl_y_val.name.RIGHT = fbl_y_vsp[-1].valu;
                ;
    break;}
case 187:
#line 1891 "fbl_bcomp.yac"
{
                if (((fbl_y_vsp[-3].valu > fbl_y_vsp[-1].valu) && (fbl_y_vsp[-2].valu == FBL_UPTDFN)) ||
                    ((fbl_y_vsp[-3].valu < fbl_y_vsp[-1].valu) && (fbl_y_vsp[-2].valu == FBL_DWTDFN)))
                  fbl_error (32,fbl_y_vsp[-5].text);
 
                fbl_y_val.name.NAME  = fbl_y_vsp[-5].text;
                fbl_y_val.name.TYPE  = chktab (hshtab,fbl_y_vsp[-5].text,FBL_MODNAM,FBL_TYPDFN);
                fbl_y_val.name.LEFT  = fbl_y_vsp[-3].valu;
                fbl_y_val.name.RIGHT = fbl_y_vsp[-1].valu;
                ;
    break;}
case 188:
#line 1907 "fbl_bcomp.yac"
{
                char             extname[100];
                char            *lclname;
                int              sig_conf;
                int              type;
                int              kind;
                struct fbl_expr  expr1;
                struct fbl_expr  expr2;
                struct chain    *ptabl;
 
                sprintf (extname,"%s'delayed",fbl_y_vsp[-2].text);
                lclname = namealloc (extname);

                if (chktab (hshtab,lclname,FBL_MODNAM,FBL_SIGDFN) == 0 )
                {
                sig_conf = chktab (hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_SIGDFN);
                type = chktab (hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_TYPDFN);
                kind = chktab (hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_LBLDFN);
                switch (sig_conf)
                  {
                  case FBL_ICNDFN : 
                  case FBL_BCNDFN : 
                    break;
                  default :
                    fbl_error (79,fbl_y_vsp[-2].text);
                  } 
 
                if (chktab (hshtab,fbl_y_vsp[-2].text,FBL_MODNAM,FBL_WMNDFN) != -1)
                  fbl_error (79,fbl_y_vsp[-2].text);

                if (chktab (hshtab,namealloc("bit"),FBL_MODNAM,FBL_TYPDFN) != type)
                  fbl_error (79,fbl_y_vsp[-2].text);
 
 
                if (FBL_ERRFLG == 0)
                  {
                    expr1.IDENT = fbl_y_vsp[-2].text;
                    expr1.WIDTH  = 1;
                    expr2 = fbl_crtabl (NOPI,expr1,FBL_EMPSTR,-1,-1);
                    ptabl = (struct chain*)expr2.LIST_ABL->DATA;
                    FBL_BEFPNT->BEDLY = fbh_addfbaux(FBL_BEFPNT->BEDLY,lclname,
                                                     ptabl,0);
                    FBL_BEFPNT->BEDLY->USER = (void *)FBL_LINNUM;
                    addtab (hshtab,lclname,FBL_MODNAM,FBL_WMNDFN,-1);
                    addtab (hshtab,lclname,FBL_MODNAM,FBL_WMXDFN,-1);
                    addtab (hshtab,lclname,FBL_MODNAM,FBL_SIGDFN, FBL_STBDFN);
                    addtab (hshtab,lclname,FBL_MODNAM,FBL_TYPDFN, type);
                    addtab (hshtab,lclname,FBL_MODNAM,FBL_LBLDFN, kind);
                    }
                 }
                fbl_y_val.name.NAME = fbl_y_vsp[-2].text;
                fbl_y_val.name.LEFT = -1;
                fbl_y_val.name.RIGHT = -1;
                fbl_y_val.name.FLAG  = 'X';
 
                ;
    break;}
case 190:
#line 1971 "fbl_bcomp.yac"
{ FBL_NM1LST = addchain (FBL_NM1LST,fbl_y_vsp[0].text); ;
    break;}
case 193:
#line 1980 "fbl_bcomp.yac"
{ FBL_NM1LST = addchain (FBL_NM1LST,fbl_y_vsp[0].text); ;
    break;}
case 194:
#line 1985 "fbl_bcomp.yac"
{ fbl_y_val.text = 0; ;
    break;}
case 195:
#line 1987 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text; ;
    break;}
case 196:
#line 1992 "fbl_bcomp.yac"
{ fbl_y_val.text = 0; ;
    break;}
case 197:
#line 1994 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text; ;
    break;}
case 198:
#line 1999 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text; ;
    break;}
case 199:
#line 2004 "fbl_bcomp.yac"
{ fbl_y_val.name = fbl_y_vsp[0].name; ;
    break;}
case 200:
#line 2010 "fbl_bcomp.yac"
{
                FBL_LBLNAM = fbl_y_vsp[-1].text;
                fbl_y_val.text = fbl_y_vsp[-1].text;
                ;
    break;}
case 201:
#line 2018 "fbl_bcomp.yac"
{ fbl_y_val.text = fbl_y_vsp[0].text; ;
    break;}
case 202:
#line 2023 "fbl_bcomp.yac"
{ fbl_y_val.valu = atoi(fbl_y_vsp[0].text); ;
    break;}
case 203:
#line 2028 "fbl_bcomp.yac"
{ fbl_y_errok; ;
    break;}
case 204:
#line 2033 "fbl_bcomp.yac"
{ fbl_y_errok; ;
    break;}
case 205:
#line 2038 "fbl_bcomp.yac"
{ fbl_y_errok; ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 442 "/labo/gnu/lib/bison.simple"

  fbl_y_vsp -= fbl_y_len;
  fbl_y_ssp -= fbl_y_len;
#ifdef FBL_Y_LSP_NEEDED
  fbl_y_lsp -= fbl_y_len;
#endif

#if FBL_Y_DEBUG != 0
  if (fbl_y_debug)
    {
      short *ssp1 = fbl_y_ss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != fbl_y_ssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++fbl_y_vsp = fbl_y_val;

#ifdef FBL_Y_LSP_NEEDED
  fbl_y_lsp++;
  if (fbl_y_len == 0)
    {
      fbl_y_lsp->first_line = fbl_y_lloc.first_line;
      fbl_y_lsp->first_column = fbl_y_lloc.first_column;
      fbl_y_lsp->last_line = (fbl_y_lsp-1)->last_line;
      fbl_y_lsp->last_column = (fbl_y_lsp-1)->last_column;
      fbl_y_lsp->text = 0;
    }
  else
    {
      fbl_y_lsp->last_line = (fbl_y_lsp+fbl_y_len-1)->last_line;
      fbl_y_lsp->last_column = (fbl_y_lsp+fbl_y_len-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  fbl_y_n = fbl_y_r1[fbl_y_n];

  fbl_y_state = fbl_y_pgoto[fbl_y_n - FBL_Y_NTBASE] + *fbl_y_ssp;
  if (fbl_y_state >= 0 && fbl_y_state <= FBL_Y_LAST && fbl_y_check[fbl_y_state] == *fbl_y_ssp)
    fbl_y_state = fbl_y_table[fbl_y_state];
  else
    fbl_y_state = fbl_y_defgoto[fbl_y_n - FBL_Y_NTBASE];

  goto fbl_y_newstate;

fbl_y_errlab:   /* here on detecting error */

  if (! fbl_y_errstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++fbl_y_nerrs;

#ifdef FBL_Y_ERROR_VERBOSE
      fbl_y_n = fbl_y_pact[fbl_y_state];

      if (fbl_y_n > FBL_Y_FLAG && fbl_y_n < FBL_Y_LAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  for (x = 0; x < (sizeof(fbl_y_tname) / sizeof(char *)); x++)
	    if (fbl_y_check[x + fbl_y_n] == x)
	      size += strlen(fbl_y_tname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = 0; x < (sizeof(fbl_y_tname) / sizeof(char *)); x++)
		    if (fbl_y_check[x + fbl_y_n] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, fbl_y_tname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      fbl_y_error(msg);
	      free(msg);
	    }
	  else
	    fbl_y_error ("parse error; also virtual memory exceeded");
	}
      else
#endif /* FBL_Y_ERROR_VERBOSE */
	fbl_y_error("parse error");
    }

  goto fbl_y_errlab1;
fbl_y_errlab1:   /* here on error raised explicitly by an action */

  if (fbl_y_errstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (fbl_y_char == FBL_Y_EOF)
	FBL_Y_ABORT;

#if FBL_Y_DEBUG != 0
      if (fbl_y_debug)
	fprintf(stderr, "Discarding token %d (%s).\n", fbl_y_char, fbl_y_tname[fbl_y_char1]);
#endif

      fbl_y_char = FBL_Y_EMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  fbl_y_errstatus = 3;		/* Each real token shifted decrements this */

  goto fbl_y_errhandle;

fbl_y_errdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  fbl_y_n = fbl_y_defact[fbl_y_state];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (fbl_y_n) goto fbl_y_default;
#endif

fbl_y_errpop:   /* pop the current state because it cannot handle the error token */

  if (fbl_y_ssp == fbl_y_ss) FBL_Y_ABORT;
  fbl_y_vsp--;
  fbl_y_state = *--fbl_y_ssp;
#ifdef FBL_Y_LSP_NEEDED
  fbl_y_lsp--;
#endif

#if FBL_Y_DEBUG != 0
  if (fbl_y_debug)
    {
      short *ssp1 = fbl_y_ss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != fbl_y_ssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

fbl_y_errhandle:

  fbl_y_n = fbl_y_pact[fbl_y_state];
  if (fbl_y_n == FBL_Y_FLAG)
    goto fbl_y_errdefault;

  fbl_y_n += FBL_Y_TERROR;
  if (fbl_y_n < 0 || fbl_y_n > FBL_Y_LAST || fbl_y_check[fbl_y_n] != FBL_Y_TERROR)
    goto fbl_y_errdefault;

  fbl_y_n = fbl_y_table[fbl_y_n];
  if (fbl_y_n < 0)
    {
      if (fbl_y_n == FBL_Y_FLAG)
	goto fbl_y_errpop;
      fbl_y_n = -fbl_y_n;
      goto fbl_y_reduce;
    }
  else if (fbl_y_n == 0)
    goto fbl_y_errpop;

  if (fbl_y_n == FBL_Y_FINAL)
    FBL_Y_ACCEPT;

#if FBL_Y_DEBUG != 0
  if (fbl_y_debug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++fbl_y_vsp = fbl_y_lval;
#ifdef FBL_Y_LSP_NEEDED
  *++fbl_y_lsp = fbl_y_lloc;
#endif

  fbl_y_state = fbl_y_n;
  goto fbl_y_newstate;
}
#line 2040 "fbl_bcomp.yac"

static struct dct_entry *addent (head , key)
struct dct_entry *head;
char             *key;

  {
  struct dct_entry *entry;
  int              i;

  if (FBL_DCEHED == 0)
    {
    FBL_DCEHED = (struct dct_entry *)
                 mbkalloc (sizeof(struct dct_entry) * FBL_ALODFN);

    entry = FBL_DCEHED;
    for (i=1 ; i<FBL_ALODFN ; i++)
      {
      entry->next = entry + 1;
      entry++;
      }
    entry->next = 0;
    }

  entry       = FBL_DCEHED;
  FBL_DCEHED  = FBL_DCEHED->next;

  entry->next = head;
  entry->data = 0;
  entry->key  = key;

  return (entry);
  }

static struct dct_recrd *addrcd (head , key)

struct dct_recrd *head;
char             *key;

  {
  struct dct_recrd *recrd;
  int               i;

  if (FBL_DCRHED == 0)
    {
    FBL_DCRHED = (struct dct_recrd *)
                 mbkalloc (sizeof(struct dct_recrd) * FBL_ALODFN);

    recrd = FBL_DCRHED;
    for (i=1 ; i<FBL_ALODFN ; i++)
      {
      recrd->next = recrd + 1;
      recrd++;
      }
    recrd->next = 0;
    }

  recrd           = FBL_DCRHED;
  FBL_DCRHED      = FBL_DCRHED->next;

  recrd->next     = head;
  recrd->fd0_val  = 0;
  recrd->fd1_val  = 0;
  recrd->fd2_val  = 0;
  recrd->fd3_val  = 0;
  recrd->fd4_val  = 0;
  recrd->fd5_val  = 0;
  recrd->fd6_val  = 0;
  recrd->pnt_val  = 0;
  recrd->key      = key;

  return (recrd);
  }

static struct dct_entry **initab ()

  {
  struct dct_entry **head;
  int                i;

  head = (struct dct_entry **)
         mbkalloc (sizeof(struct dct_entry *) * FBL_HSZDFN);

  for (i=0 ; i<FBL_HSZDFN ; i++)
    head[i] = 0;

  return (head);
  }

static void addtab (head,key_str,ctx_str,field,valu)

struct dct_entry **head;
char              *key_str;
char              *ctx_str;
int                field;
int                valu;

  {
  int               found = 0;
  int               index;
  struct dct_entry *entry_pnt;
  struct dct_recrd *recrd_pnt;

  index     = (int) key_str % FBL_HSZDFN;
  entry_pnt = head[index];

  while (entry_pnt != 0)
    {
    if (entry_pnt->key == key_str)
      {
      found = 1;
      break;
      }
    entry_pnt = entry_pnt->next;
    }

  if (found == 0)
    {
    head[index] = addent (head[index],key_str); 
    entry_pnt = head[index]; 
    }

  found = 0;
  recrd_pnt = entry_pnt->data;
  while (recrd_pnt != 0)
    {
    if (recrd_pnt->key == ctx_str)
      {
      found = 1;
      break;
      }
    recrd_pnt = recrd_pnt->next;
    }

  if (found == 0)
    {
    entry_pnt->data = addrcd (entry_pnt->data,ctx_str); 
    recrd_pnt       = entry_pnt->data ;
    }

  switch (field)
    {
    case 0 :
      recrd_pnt->fd0_val = valu;
      break;
    case 1 :
      recrd_pnt->fd1_val = valu;
      break;
    case 2 :
      recrd_pnt->fd2_val = valu;
      break;
    case 3 :
      recrd_pnt->fd3_val = valu;
      break;
    case 4 :
      recrd_pnt->fd4_val = valu;
      break;
    case 5 :
      recrd_pnt->fd5_val = valu;
      break;
    case 6 :
      recrd_pnt->fd6_val = valu;
      break;
    case 7 :
      recrd_pnt->pnt_val = valu;
      break;
    }

  }

static int chktab (head,key_str,ctx_str,field)

struct dct_entry **head;
char              *key_str;
char              *ctx_str;
int                field;

  {
  int               found = 0;
  int               valu = 0;
  struct dct_entry *entry_pnt;
  struct dct_recrd *recrd_pnt;

  entry_pnt = head [(int)key_str % FBL_HSZDFN];

  while (entry_pnt != 0)
    {
    if (entry_pnt->key == key_str)
      {
      found = 1;
      break;
      }
    entry_pnt = entry_pnt->next;
    }

  if (found == 1)
    {
    found = 0;
    recrd_pnt = entry_pnt->data;
    while (recrd_pnt != 0)
      {
      if (recrd_pnt->key == ctx_str)
        {
        found = 1;
        break;
        }
      recrd_pnt = recrd_pnt->next;
      }
    if (found == 1)
      {
      switch (field)
        {
        case 0 :
          valu = recrd_pnt->fd0_val;
          break;
        case 1 :
          valu = recrd_pnt->fd1_val;
          break;
        case 2 :
          valu = recrd_pnt->fd2_val;
          break;
        case 3 :
          valu = recrd_pnt->fd3_val;
          break;
        case 4 :
          valu = recrd_pnt->fd4_val;
          break;
        case 5 :
          valu = recrd_pnt->fd5_val;
          break;
        case 6 :
          valu = recrd_pnt->fd6_val;
          break;
        case 7 :
          valu = recrd_pnt->pnt_val;
          break;
        }
      }
    }

  return (valu);
  }

static void fretab (pt_hash)

struct dct_entry **pt_hash;
  {
  struct dct_entry *pt_entry;
  struct dct_entry *pt_nxtentry;
  struct dct_recrd *pt_record;
  int               i;

  if (pt_hash != 0)
    {
    for (i=0 ; i<FBL_HSZDFN ; i++)
      {
      if ((pt_entry = pt_hash[i]) != 0)
        {
        while (pt_entry != 0)
          {
          pt_record = pt_entry->data;

          while (pt_record->next != 0)
            pt_record = pt_record->next;

          pt_record->next = FBL_DCRHED;
          FBL_DCRHED      = pt_entry->data;

          pt_nxtentry     = pt_entry->next;
          pt_entry->next  = FBL_DCEHED;
          FBL_DCEHED      = pt_entry;
          pt_entry        = pt_nxtentry;
          }
        }
      }
    free (pt_hash);
    }
  }

void *fbl_addstr (ptfig,object,mode,prtype,type,flag,name,left,right)

struct fbfig *ptfig;
char          object;
int           mode;
int           prtype;
unsigned char type;
char          flag;
char         *name;
short         left;
short         right;

  {
  void  *pnt    = 0;
  char   porflg = 0;
  char   rinflg = 0;
  char   outflg = 0;
  char   busflg = 0;
  char   auxflg = 0;
  char   buxflg = 0;
  char   regflg = 0;
  char   lclmod;
  char   lcltyp;
  char   extname[100];
  short  i;
  short  inc = 1;

  switch (object)
    {
    case 'P':

	/* ###------------------------------------------------------### */
	/*   if object is a port ...					*/
	/* ###------------------------------------------------------### */

      porflg = 1;
      switch (mode)
        {
        case FBL_ICNDFN:
          lclmod = 'I'; lcltyp = type ; rinflg = 1; break;
        case FBL_OCNDFN:
          switch (prtype)
            {
            case BIT :
              lclmod = 'O'; lcltyp = type ; outflg = 1; break;
            case MUX_BIT :
              lclmod = 'Z'; lcltyp = type; busflg = 1; break;
            case WOR_BIT :
              lclmod = 'Z'; lcltyp = type; busflg = 1; break;
            }
          break;
        case FBL_BCNDFN:
          rinflg = 1;
          switch (prtype)
            {
            case BIT:
              lclmod = 'B'; lcltyp = type; outflg = 1; rinflg =1;break;
            case MUX_BIT:
              lclmod = 'T'; lcltyp = type; busflg = 1;rinflg =1; break;
            case WOR_BIT:
              lclmod = 'T'; lcltyp = type; busflg = 1; rinflg =1;break;
            }
          break;
        }
      break;

    case 'S':

	/* ###------------------------------------------------------### */
	/*   if object is a signal ...					*/
	/* ###------------------------------------------------------### */

      switch (prtype)
        {
        case BIT:
          lcltyp = type; auxflg = 1; break;
        case REG_BIT :
          rinflg = 1; regflg = 1; break;
        case MUX_BIT :
          lcltyp = type; rinflg = 1; buxflg = 1; break;
        case WOR_BIT :
          lcltyp = type; rinflg = 1; buxflg = 1; break;
	default : lcltyp = type ; auxflg =1;break;
        }
      break;
    }

  if (flag == 'A' || flag == 'U')
    {
	/* ###------------------------------------------------------### */
	/*   if object is an array ...					*/
	/* ###------------------------------------------------------### */

    if (left >= right)
      inc = -1;

    for (i=left ; i!=(right+inc) ; i+=inc)
      {
      sprintf (extname,"%s %d",name,i);

      if (porflg == 1)
      {
        ptfig->BEPOR = fbh_addfbpor (ptfig->BEPOR,extname,lclmod,lcltyp);
        ptfig->BEPOR->USER = (void *)FBL_LINNUM;
      }
      if (rinflg == 1)
      {
        ptfig->BERIN = fbh_addfbrin (ptfig->BERIN,extname);
        ptfig->BERIN->USER = (void *)FBL_LINNUM;
      }
      if (outflg == 1)
      {
        ptfig->BEOUT = fbh_addfbout (ptfig->BEOUT,extname,0,0,lcltyp);
        ptfig->BEOUT->USER = (void *)FBL_LINNUM;
      }
      if (busflg == 1)
      {
        ptfig->BEBUS = fbh_addfbbus (ptfig->BEBUS,extname,0,0,lcltyp);
        ptfig->BEBUS->USER = (void *)FBL_LINNUM;
      }
      if (auxflg == 1)
      {
        ptfig->BEAUX = fbh_addfbaux (ptfig->BEAUX,extname,0,0,lcltyp);
        ptfig->BEAUX->USER = (void *)FBL_LINNUM;
      }
      if (buxflg == 1)
      {
        ptfig->BEBUX = fbh_addfbbux (ptfig->BEBUX,extname,0,0,lcltyp);
        ptfig->BEBUX->USER = (void *)FBL_LINNUM;
      }
      if (regflg == 1)
      {
        ptfig->BEREG = fbh_addfbreg (ptfig->BEREG,extname,0,0);
        ptfig->BEREG->USER = (void *)FBL_LINNUM;
      }
      }
    }
  else
    {
	/* ###------------------------------------------------------### */
	/*   if object is a scalar ...					*/
	/* ###------------------------------------------------------### */

    if (porflg == 1)
    {
      ptfig->BEPOR = fbh_addfbpor (ptfig->BEPOR,name,lclmod,lcltyp);
      ptfig->BEPOR->USER = (void *)FBL_LINNUM;
    }
    if (rinflg == 1)
    {
      ptfig->BERIN = fbh_addfbrin (ptfig->BERIN,name);
      ptfig->BERIN->USER = (void *)FBL_LINNUM;
    }
    if (outflg == 1)
    {
      ptfig->BEOUT = fbh_addfbout (ptfig->BEOUT,name,0,0,lcltyp);
      ptfig->BEOUT->USER = (void *)FBL_LINNUM;
    }
    if (busflg == 1)
    {
      ptfig->BEBUS = fbh_addfbbus (ptfig->BEBUS,name,0,0,lcltyp);
      ptfig->BEBUS->USER = (void *)FBL_LINNUM;
    }
    if (auxflg == 1)
    {
      ptfig->BEAUX = fbh_addfbaux (ptfig->BEAUX,name,0,0,lcltyp);
      ptfig->BEAUX->USER = (void *)FBL_LINNUM;
    }
    if (buxflg == 1)
    {
      ptfig->BEBUX = fbh_addfbbux (ptfig->BEBUX,name,0,0,lcltyp);
      ptfig->BEBUX->USER = (void *)FBL_LINNUM;
    }
    if (regflg == 1)
    {
      ptfig->BEREG = fbh_addfbreg (ptfig->BEREG,name,0,0);
      ptfig->BEREG->USER = (void *)FBL_LINNUM;
    }

    }

  if (outflg == 1)
  {
    pnt = (void *) ptfig->BEOUT;
  }
  if (busflg == 1)
  {
    pnt = (void *) ptfig->BEBUS;
  }
  if (auxflg == 1)
  {
    pnt = (void *) ptfig->BEAUX;
  }
  if (buxflg == 1)
  {
    pnt = (void *) ptfig->BEBUX;
  }
  if (regflg == 1)
  {
    pnt = (void *) ptfig->BEREG;
  }

  return (pnt);
  }

int fbl_chkdcl (object,mode,type,flag,kind,constraint)

char object;
int  mode;
int  type;
char flag;
int  kind;
char constraint;

  {
  int errflg = 0;

  if (flag != constraint && constraint !='U'  && flag !='U')
    {
    errflg = 1;
    fbl_error (33,0);
    }
  else
    {
    switch (object)
      {
      case 'P':
	/* ###------------------------------------------------------### */
	/*    If object is a port :					*/
	/*       - if type is bit, no guard indication can be used	*/
	/*       - if type is wor_bit or mux_bit, bus kind must be used	*/
	/*       - other types are illegal				*/
	/* ###------------------------------------------------------### */

        switch (type)
          {
          case BIT :

            switch (mode)
              {
              case 0 :
                errflg = 1; break;
              }
            if (kind != 0)
              errflg = 1;
            break;

          case MUX_BIT :

            switch (mode)
              {
              case FBL_ICNDFN :
              case 0 :
                errflg = 1; break;
              }
            if (kind != BUS)
              errflg = 1;
            break;

          case WOR_BIT :

            switch (mode)
              {
              case FBL_ICNDFN :
              case 0 :
                errflg = 1; break;
              }
            if (kind != BUS)
              errflg = 1;
            break;

          case REG_BIT :
          case NATURAL:

            errflg = 1;
            break;
          }
        if (errflg == 1)
          fbl_error (5,0);
        break;

      case 'G':
	/* ###------------------------------------------------------### */
	/*    If object is a generic :					*/
	/*       - only natural type is allowed				*/
	/* ###------------------------------------------------------### */

        if ((type != NATURAL) || (mode != 0) || (kind != 0))
          {
          errflg = 1;
          fbl_error (77,0);
          }
        break;

      case 'S':
	/* ###------------------------------------------------------### */
	/*    If object is a signal :					*/
	/*       - no mode can be specified				*/
	/*       - if type is bit no guard indication can be used	*/
	/*       - if type is wor_bit or mux_bit, bus kind must be used	*/
	/*       - if type is reg_bit, register kind must be used	*/
	/*       - other types are illegal				*/
	/* ###------------------------------------------------------### */

       /* switch (type)
          {
          case BIT:
            if ((mode != 0) || (kind != 0))
              errflg = 1;
            break;
          case MUX_BIT :
            if ((mode != 0) || (kind != BUS))
              errflg = 1;
            break;
          case WOR_BIT :
            if ((mode != 0) || (kind != BUS))
              errflg = 1;
            break;
          case REG_BIT :
            if ((mode != 0) || (kind != REG_BIT))
              errflg = 1;
            break;
          case NATURAL :
            errflg = 1; break;
          }*/
	 if(type !=-1)
          	errflg = 1;
        if (mode != 0)
            errflg = 1;

        if (errflg == 1)
          fbl_error (11,0);
        break;

      case 'C':
	/* ###------------------------------------------------------### */
	/*    If object is a constant :					*/
	/*       - only bit type without any other indication is legal	*/
	/* ###------------------------------------------------------### */

        if ((type != BIT) || (mode != 0) || (kind != 0))
          {
          errflg = 1;
          fbl_error (78,0);
          }
        break;
      }
    }

  return (errflg);
  }

 int val_type(name)
 char *name;
 {

    if(!name)
	   return(-1);
	if (!strcmp(name,"boolean"))
             return(BOOLEAN);	
	if (!strcmp(name,"bit"))
             return(BIT);	
	if (!strcmp(name,"mux_bit"))
             return(MUX_BIT);	
	if (!strcmp(name,"wor_bit"))
             return(WOR_BIT);	
	if (!strcmp(name,"reg_bit"))
             return(REG_BIT);	
	if (!strcmp(name,"bit_vector"))
             return(BIT);	
	if (!strcmp(name,"mux_vector"))
             return(MUX_BIT);	
	if (!strcmp(name,"wor_vector"))
             return(WOR_BIT);	
	if (!strcmp(name,"reg_vector"))
             return(REG_BIT);	
	if (!strcmp(name,"integer"))
             return(INTEGER);	
	if (!strcmp(name,"natural"))
             return(NATURAL);	
	return(-1);
 }
 struct ptype *reversetype(pnt)
 struct ptype *pnt;
  {
    struct ptype* revtype;
    struct ptype* aux2;
    struct ptype* aux1;

    if(pnt == 0 || pnt->NEXT == 0)
	return(pnt);
			revtype = pnt;
		     aux1 = pnt->NEXT;		
		     revtype->NEXT = 0;	
		  while(aux1)
		   {
		     aux2 = revtype;	
		     revtype = aux1;
		     aux1 = aux1->NEXT;		
		     revtype->NEXT = aux2;	
		   }
	return(revtype);
 }
	
 struct choice_chain *addchoice(lastpnt,type,val,size)
 struct choice_chain *lastpnt;
 struct ptype *type;
 char    *val;
 unsigned int size;
 {
    struct choice_chain *pnt;	

    pnt = (struct choice_chain*)mbkalloc(sizeof(struct choice_chain));
    pnt->VALUE = val;
    pnt->SIZE = size;
    pnt->INSTRUCTION  = type;
    pnt->NEXT   = lastpnt;
	return(pnt);
 }

 struct choice_chain *order_choice(pnt,type,val,size)
 struct choice_chain *pnt;
 struct ptype *type;
 char    *val;
 unsigned int size;
 {
    struct choice_chain *aux1;
    struct choice_chain *aux2;
   
      if(!pnt)
	{
    	 	aux1 = addchoice (pnt,type,val,size);
		return(aux1);
	}

	 if(strcmp(pnt->VALUE,val)>0) 
		{
	  aux1 =addchoice(pnt,type,val,size);
               return(aux1);
		}
	
    aux1 =pnt; 
    aux2 =pnt->NEXT; 
	while(aux2)
	{
	 if(strcmp(aux2->VALUE, val)>0) 
	  {
    	 	aux2 = addchoice (aux2,type,val,size);
		aux1->NEXT = aux2;
		return(pnt);
  	  }
	 aux1 = aux2;
	 aux2 = aux2->NEXT;
	}
    	 	aux2 = addchoice (aux2,type,val,size);
		aux1->NEXT = aux2;
		return(pnt);
 } 
          
